GNU bug report logs - #40236
[PATCH] doc: Suggest Btrfs with compression instead of ext4 for root partition.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Pierre Neidhardt <mail@HIDDEN>; Keywords: patch; dated Thu, 26 Mar 2020 08:36:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 40236 <at> debbugs.gnu.org:


Received: (at 40236) by debbugs.gnu.org; 4 May 2020 15:23:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 04 11:23:04 2020
Received: from localhost ([127.0.0.1]:33723 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jVcvv-0002kG-Tw
	for submit <at> debbugs.gnu.org; Mon, 04 May 2020 11:23:04 -0400
Received: from mail-qk1-f194.google.com ([209.85.222.194]:36314)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1jVcvt-0002jU-L8
 for 40236 <at> debbugs.gnu.org; Mon, 04 May 2020 11:23:02 -0400
Received: by mail-qk1-f194.google.com with SMTP id q7so17010575qkf.3
 for <40236 <at> debbugs.gnu.org>; Mon, 04 May 2020 08:23:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=uJrAvoLwEpjwMiAKJxvKodjt1w7Y1/zI7ET5a5F1L5s=;
 b=d4C9pA47FJLzrqVBqAQ7G/kVHI7oGL9XUsqoBsNFe0jFn5ZPZa6aMA9EIyKPCqupMG
 h7tnisiyAj7ix91nBsFiCLERhVEPI4pKpHYHLbSd64KTTg6WmblTrXjJxVGz/Nd/TFL/
 aHg3rqvCNCgcr5LfyZUT1Ep4xYbpf9uw8F6S2fKX67GFLU8tCbGczCUPyMsvzIyftH5r
 cVc3AAChL/ZZx5850KowXl8Q5bCRRlxwyqqaHx53HX2GBHn2tSqHoiDYmXZmFfLO9wAx
 tFeLDYSnAzun3t/G6GUxDuf6z+0DrcrODkBbgYaDJuX7bJMx00VTaAin1878cac/Bqcm
 /Gwg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=uJrAvoLwEpjwMiAKJxvKodjt1w7Y1/zI7ET5a5F1L5s=;
 b=mvMUJryVvVfvOV9gW+p+zJeD0vrG8jFcVVlwJZUKMDKTNBqrPPrgVdHKnCBjUJQeLg
 tq7b2sSqB3Z7SC9zp9BI1pFhcy1rg0vw85fBEAUHlgXOFSK0o3ErQ6elqdpJY5UQsxKO
 tetPh/ZkHcuiCDmyYalapfUSDGMStke3/ZiVkyWjIt4p+f/yPmrHETw+aVIcoG6d47j8
 Te5ZDlcS5j9nm6slWiOFHMKch8JBSbIaSdrLALMoFIvY+PsqwprzWWBqaxlMIM9XNR2l
 DdB29UQdfLEhIfc/ec9kEapbfJ/8lUaLedYSS7lMYwL4u9yA+O4fg51go9wQ/nUunQnb
 1yGg==
X-Gm-Message-State: AGi0PuY33G4o37HzTssXXKgaGtavOePXYawdnnNwlqt+fYnBaAeC3GCs
 znMsCpdx+5o7wW+tWTHRFlJiYq+O
X-Google-Smtp-Source: APiQypK5AqtakdTxGC5TqLb4osN587W21XAQOd3eOThbK5ddb05LSqP5CQ+7gsPgQGI0WCoWN6xN1g==
X-Received: by 2002:a37:4d43:: with SMTP id a64mr17094415qkb.491.1588605775930; 
 Mon, 04 May 2020 08:22:55 -0700 (PDT)
Received: from hurd (dsl-10-129-20.b2b2c.ca. [72.10.129.20])
 by smtp.gmail.com with ESMTPSA id o22sm10817331qtm.90.2020.05.04.08.22.55
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 04 May 2020 08:22:55 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead
 of ext4 for root partition.
References: <20200326083524.20275-1-mail@HIDDEN>
 <87h7y5z3x0.fsf@HIDDEN> <87lfnga83c.fsf@HIDDEN>
 <87tv24w1ql.fsf@HIDDEN> <87y2rf8zcx.fsf@HIDDEN>
 <87o8r6cvn1.fsf@HIDDEN> <87zhaq30p8.fsf@HIDDEN>
 <87ftcicubb.fsf@HIDDEN> <87pnbm40s5.fsf@HIDDEN>
 <87sgghbiyn.fsf@HIDDEN>
Date: Mon, 04 May 2020 11:22:54 -0400
In-Reply-To: <87sgghbiyn.fsf@HIDDEN> (Pierre Neidhardt's message of
 "Sun, 03 May 2020 09:01:20 +0200")
Message-ID: <87pnbj3esx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.7 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Pierre Neidhardt writes: > OK, thanks for the details. > >
 What is "degraded RAID1"? Degraded RAID1 would be a RAID1 array (mirror disks)
 in which at least one drive has failed. As long as at least a single healthy
 disk remains, the RAID1 array should remain functional but requires to [...]
 Content analysis details:   (2.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (maxim.cournoyer[at]gmail.com)
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.222.194 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.222.194 listed in wl.mailspike.net]
 0.1 URIBL_SBL_A Contains URL's A record listed in the Spamhaus SBL
 blocklist [URIs: ambrevar.xyz]
 0.6 URIBL_SBL Contains an URL's NS IP listed in the Spamhaus SBL
 blocklist [URIs: ambrevar.xyz]
X-Debbugs-Envelope-To: 40236
Cc: Marius Bakke <mbakke@HIDDEN>, 40236 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Pierre Neidhardt writes: > OK, thanks for the details. > >
    What is "degraded RAID1"? Degraded RAID1 would be a RAID1 array (mirror disks)
    in which at least one drive has failed. As long as at least a single healthy
    disk remains, the RAID1 array should remain functional but requires to [...]
    
 
 Content analysis details:   (1.7 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ambrevar.xyz]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.222.194 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.222.194 listed in wl.mailspike.net]
  0.1 URIBL_SBL_A            Contains URL's A record listed in the Spamhaus SBL
                             blocklist
                             [URIs: ambrevar.xyz]
  0.6 URIBL_SBL              Contains an URL's NS IP listed in the Spamhaus SBL
                             blocklist
                             [URIs: ambrevar.xyz]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (maxim.cournoyer[at]gmail.com)
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Pierre Neidhardt <mail@HIDDEN> writes:

> OK, thanks for the details.
>
> What is "degraded RAID1"?

Degraded RAID1 would be a RAID1 array (mirror disks) in which at least
one drive has failed.  As long as at least a single healthy disk
remains, the RAID1 array should remain functional but requires to be
mounted with the 'degraded' mount option (this is done to flag that
there is a serious problem that needs to be addressed, e.g., replace the
faulty drive).

> I'll see if I can test. the patch on my Btrfs system.
> Anything else I can do to help?

Testing on a live system should provide extra confidence that the patch
work as advertised.  I have done so on my machines for a while (there's
also a system test), but I'd like to know if it works for someone else
:-).

Maxim




Information forwarded to guix-patches@HIDDEN:
bug#40236; Package guix-patches. Full text available.

Message received at 40236 <at> debbugs.gnu.org:


Received: (at 40236) by debbugs.gnu.org; 3 May 2020 07:01:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 03 03:01:34 2020
Received: from localhost ([127.0.0.1]:54478 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jV8d3-0002wB-VC
	for submit <at> debbugs.gnu.org; Sun, 03 May 2020 03:01:34 -0400
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:49853)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jV8d1-0002vx-S6
 for 40236 <at> debbugs.gnu.org; Sun, 03 May 2020 03:01:32 -0400
X-Originating-IP: 78.199.129.170
Received: from mimimi (moi44-1-78-199-129-170.fbx.proxad.net [78.199.129.170])
 (Authenticated sender: mail@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id BBD68E0006;
 Sun,  3 May 2020 07:01:23 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead
 of ext4 for root partition.
In-Reply-To: <87pnbm40s5.fsf@HIDDEN>
References: <20200326083524.20275-1-mail@HIDDEN>
 <87h7y5z3x0.fsf@HIDDEN> <87lfnga83c.fsf@HIDDEN>
 <87tv24w1ql.fsf@HIDDEN> <87y2rf8zcx.fsf@HIDDEN>
 <87o8r6cvn1.fsf@HIDDEN> <87zhaq30p8.fsf@HIDDEN>
 <87ftcicubb.fsf@HIDDEN> <87pnbm40s5.fsf@HIDDEN>
Date: Sun, 03 May 2020 09:01:20 +0200
Message-ID: <87sgghbiyn.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  OK, thanks for the details. What is "degraded RAID1"? I'll
 see if I can test. the patch on my Btrfs system. Anything else I can do to
 help? Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.196 listed in list.dnswl.org]
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 0.1 URIBL_SBL_A Contains URL's A record listed in the Spamhaus SBL
 blocklist [URIs: ambrevar.xyz]
 0.6 URIBL_SBL Contains an URL's NS IP listed in the Spamhaus SBL
 blocklist [URIs: ambrevar.xyz]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [217.70.183.196 listed in wl.mailspike.net]
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 40236
Cc: Marius Bakke <mbakke@HIDDEN>, 40236 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  OK, thanks for the details. What is "degraded RAID1"? I'll
    see if I can test. the patch on my Btrfs system. Anything else I can do to
    help? 
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ambrevar.xyz]
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [217.70.183.196 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.183.196 listed in list.dnswl.org]
  0.1 URIBL_SBL_A            Contains URL's A record listed in the Spamhaus SBL
                             blocklist
                             [URIs: ambrevar.xyz]
  0.6 URIBL_SBL              Contains an URL's NS IP listed in the Spamhaus SBL
                             blocklist
                             [URIs: ambrevar.xyz]
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

OK, thanks for the details.

What is "degraded RAID1"?

I'll see if I can test. the patch on my Btrfs system.
Anything else I can do to help?

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl6ubEAACgkQm9z0l6S7
zH9LiAf/TL/WX+mfv3v9nDFqcTurgJ0ErkTnbqKl8aC1fdoYnnCHfEURV0/7J15W
q3NH8OrsahYDFeycuupvbvkyDTFt+xDh0KaAe0kevHlhv2WVHcIiheNiGunKoV/J
L8a9hS8Hhjxxzexl9uY+JlSe5dVFQCvFUyt16T8CpKvGGP6l5IDq4f49Xo3UrhEG
/RrOQdTb6hSyErzyT5Rx/J+dfh+q8R4AdR1toNyu47vY/yfR/2+DhUS+lNG/OxJF
K8i08K/12ZPnNEqXBLPcPB/pZgl/92/Cpx7S9811d/xlMT6Hf1C4+k/kHkV8ERJq
VxrKiA/04lbjLcQqNarhdbuLbjnLvA==
=M8z/
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40236; Package guix-patches. Full text available.

Message received at 40236 <at> debbugs.gnu.org:


Received: (at 40236) by debbugs.gnu.org; 2 May 2020 19:03:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 02 15:03:48 2020
Received: from localhost ([127.0.0.1]:53934 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jUxQS-0001Iw-Ib
	for submit <at> debbugs.gnu.org; Sat, 02 May 2020 15:03:48 -0400
Received: from mail-qk1-f194.google.com ([209.85.222.194]:34525)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1jUxQQ-0001Ij-4V
 for 40236 <at> debbugs.gnu.org; Sat, 02 May 2020 15:03:47 -0400
Received: by mail-qk1-f194.google.com with SMTP id t3so12575031qkg.1
 for <40236 <at> debbugs.gnu.org>; Sat, 02 May 2020 12:03:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=zs9laxL/8xaRz0M4w8AGio5gHpKfBlWm+1FTSCzu2e4=;
 b=mtaS0VPGfXzHj+Zq6vUG1N5KB0B5EOvokAkLAVsIwtbKaspLKMeFlzcm1QIBF7S73W
 2sv63vsKJ51V6es3P1+RJDUo8ozHf7EAf6/5QSQaUfWeu/bq9d/Ud8MTt8Wal6C2unIt
 rIawza+AoHfVfrGP5QG7vyJFmJD8KlTU2edauh2H0bywhQdpqoLIdl5VwFQqllUZ2YFR
 UnBa8Jb+UZyrq4BNP+obxaxHH8AKW4K9Sa+F4nQBKDfuzT5BXb+13xa3CtnSpf2LVFHN
 xAfC6UnEYhQQQzBtc6DMeYn669VQA4u+XuKnxYfp9wjwXT5tbScajcrUk61K7zxhBSIX
 z4HA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=zs9laxL/8xaRz0M4w8AGio5gHpKfBlWm+1FTSCzu2e4=;
 b=tBknl+c6Z+xrMZndR1XVQTfHJ92asoivDp1Gq+f/kQuEs3jYJ26ziT7A/mt2hdcTNe
 s1PVuMRo541OknmSnXWyg/gKTfZRPo2fS8fulGLGb4ae5OeZz+izQ8q0G1zqLFMJppz1
 VjgAMmsCcNaEJgjtM3RAuDyt48qoM2ys+lw6YF9arhGygYQmeSRosOGkwzHkS2PdiyVo
 rfL1ka/PfODAxoxPvx2AaxjCgpHxl8sSuYA2drzeVkbGBhELX9JtOH0valuODOur6xQe
 mjoIu1bw+nLateRyDHtIA+qFLS480IDc/rqKbvYJ3cO44Cv/XNIenDiXxwwUmD57tfar
 lfuA==
X-Gm-Message-State: AGi0PubrFy9rw8Q+Pi0qTKVgr/8ZbGh9iux/JEP5GtUBcYzwzswU3ZyW
 p+MnPOGkxz793dL1z9ie7iyqKWn4HlM=
X-Google-Smtp-Source: APiQypKIXLFuNE4b1W33DnmteEwgxkCtfOJj3v2pIU1gyQL0RI6Stzxy+wiVRRzJT3B1HQGwh2QkUA==
X-Received: by 2002:a05:620a:2199:: with SMTP id
 g25mr4706116qka.147.1588446220234; 
 Sat, 02 May 2020 12:03:40 -0700 (PDT)
Received: from hurd (dsl-10-131-130.b2b2c.ca. [72.10.131.130])
 by smtp.gmail.com with ESMTPSA id v2sm6247193qth.66.2020.05.02.12.03.39
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 02 May 2020 12:03:39 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead
 of ext4 for root partition.
References: <20200326083524.20275-1-mail@HIDDEN>
 <87h7y5z3x0.fsf@HIDDEN> <87lfnga83c.fsf@HIDDEN>
 <87tv24w1ql.fsf@HIDDEN> <87y2rf8zcx.fsf@HIDDEN>
 <87o8r6cvn1.fsf@HIDDEN> <87zhaq30p8.fsf@HIDDEN>
 <87ftcicubb.fsf@HIDDEN>
Date: Sat, 02 May 2020 15:03:38 -0400
In-Reply-To: <87ftcicubb.fsf@HIDDEN> (Pierre Neidhardt's message of
 "Sat, 02 May 2020 15:58:32 +0200")
Message-ID: <87pnbm40s5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.7 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Pierre Neidhardt writes: > I assumed it rebuilt the world,
 maybe I remembered wrong. No, it doesn't :-). After it gets duly reviewed,
 it can go to the master branch. 
 Content analysis details:   (2.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (maxim.cournoyer[at]gmail.com)
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 0.1 URIBL_SBL_A Contains URL's A record listed in the Spamhaus SBL
 blocklist [URIs: ambrevar.xyz]
 0.6 URIBL_SBL Contains an URL's NS IP listed in the Spamhaus SBL
 blocklist [URIs: ambrevar.xyz]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.222.194 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.222.194 listed in list.dnswl.org]
X-Debbugs-Envelope-To: 40236
Cc: Marius Bakke <mbakke@HIDDEN>, 40236 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Pierre Neidhardt writes: > I assumed it rebuilt the world,
    maybe I remembered wrong. No, it doesn't :-). After it gets duly reviewed,
    it can go to the master branch. 
 
 Content analysis details:   (1.7 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ambrevar.xyz]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.222.194 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.222.194 listed in list.dnswl.org]
  0.1 URIBL_SBL_A            Contains URL's A record listed in the Spamhaus SBL
                             blocklist
                             [URIs: ambrevar.xyz]
  0.6 URIBL_SBL              Contains an URL's NS IP listed in the Spamhaus SBL
                             blocklist
                             [URIs: ambrevar.xyz]
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (maxim.cournoyer[at]gmail.com)
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Pierre Neidhardt <mail@HIDDEN> writes:

> I assumed it rebuilt the world, maybe I remembered wrong.

No, it doesn't :-).  After it gets duly reviewed, it can go to the
master branch.

I've recently had the "chance" to experience a degraded RAID1 array,
which made me reconsider some of the simplifications that were made to
the original patch series (such as removing the option for users to pass
root options to the initrd -- this would be useful to input the
"degraded" mount option required to boot a degraded array, if your
system is no longer in a capacity to be reconfigured). So I may want to
reintroduce those changes, although this could also be done at a later
point as well.

Maxim




Information forwarded to guix-patches@HIDDEN:
bug#40236; Package guix-patches. Full text available.

Message received at 40236 <at> debbugs.gnu.org:


Received: (at 40236) by debbugs.gnu.org; 2 May 2020 13:58:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 02 09:58:46 2020
Received: from localhost ([127.0.0.1]:53529 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jUsfG-00060e-H5
	for submit <at> debbugs.gnu.org; Sat, 02 May 2020 09:58:46 -0400
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:33717)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jUsfD-00060N-MJ
 for 40236 <at> debbugs.gnu.org; Sat, 02 May 2020 09:58:44 -0400
X-Originating-IP: 78.199.129.170
Received: from mimimi (moi44-1-78-199-129-170.fbx.proxad.net [78.199.129.170])
 (Authenticated sender: mail@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id 51AA060004;
 Sat,  2 May 2020 13:58:34 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead
 of ext4 for root partition.
In-Reply-To: <87zhaq30p8.fsf@HIDDEN>
References: <20200326083524.20275-1-mail@HIDDEN>
 <87h7y5z3x0.fsf@HIDDEN> <87lfnga83c.fsf@HIDDEN>
 <87tv24w1ql.fsf@HIDDEN> <87y2rf8zcx.fsf@HIDDEN>
 <87o8r6cvn1.fsf@HIDDEN> <87zhaq30p8.fsf@HIDDEN>
Date: Sat, 02 May 2020 15:58:32 +0200
Message-ID: <87ftcicubb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  I assumed it rebuilt the world, maybe I remembered wrong.
 -- Pierre Neidhardt https://ambrevar.xyz/ 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 0.1 URIBL_SBL_A Contains URL's A record listed in the Spamhaus SBL
 blocklist [URIs: ambrevar.xyz]
 0.6 URIBL_SBL Contains an URL's NS IP listed in the Spamhaus SBL
 blocklist [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.195 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [217.70.183.195 listed in wl.mailspike.net]
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 40236
Cc: 40236 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  I assumed it rebuilt the world, maybe I remembered wrong.
   -- Pierre Neidhardt https://ambrevar.xyz/ 
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ambrevar.xyz]
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [217.70.183.195 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.183.195 listed in list.dnswl.org]
  0.1 URIBL_SBL_A            Contains URL's A record listed in the Spamhaus SBL
                             blocklist
                             [URIs: ambrevar.xyz]
  0.6 URIBL_SBL              Contains an URL's NS IP listed in the Spamhaus SBL
                             blocklist
                             [URIs: ambrevar.xyz]
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

I assumed it rebuilt the world, maybe I remembered wrong.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl6tfIgACgkQm9z0l6S7
zH8gfQf8DDCrHKLLmly2sslGARYbR54X2FDBs/8lLOwj+ErWuRXNG/1lDkBhE0mG
rI0QXnkD/pTVEAI9Laqw6AOss260Dp4FRWQm9FmSxfHio36ZrNKkNfZAmwt7ULRT
k6wf29DxSJF5wygh/DgVHS2VLue+3vqAnzOzmRVlbuaJsjudrzTMNFriZEvgC6to
n5sea91354A3/1jBj/tgTm68pn4htmXP7tivC3uZ9kW03p2niOTjYxxlKssF/A1t
roQLQajzS1FJixbDM0tCGiatUEZ16xQwEujNnKokqiM811FLPO701vgm5ohVUSPj
G7ELsTgEfGEAcjraGxqgKvzvmaWDaw==
=W44L
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40236; Package guix-patches. Full text available.

Message received at 40236 <at> debbugs.gnu.org:


Received: (at 40236) by debbugs.gnu.org; 2 May 2020 13:51:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 02 09:51:01 2020
Received: from localhost ([127.0.0.1]:51630 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jUsXd-0005Kt-RJ
	for submit <at> debbugs.gnu.org; Sat, 02 May 2020 09:51:01 -0400
Received: from wout2-smtp.messagingengine.com ([64.147.123.25]:52805)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1jUsXb-0005Kg-Vk
 for 40236 <at> debbugs.gnu.org; Sat, 02 May 2020 09:50:53 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id 0EA31307;
 Sat,  2 May 2020 09:50:45 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Sat, 02 May 2020 09:50:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm2; bh=TnDkjpgtN4qGJqxz8CEzhzo8gu
 BEWkh75PpcP+Qse3A=; b=Amb0JY2NceLpeAUb2uaKS8Qg8wbGfVjRhwmakemwJM
 DQSaJZa2SzDqkWQ8jXT245dMlGn1fz1iWlZkdNpqTjeUVrmaLiDpLwwjX9HEj5uy
 Ukclx27vJ5ylSqzwVHs13SeABEtotgWWbeR5BCuPz1KFB04ELLEHvOixL/zsnwqD
 3FSMNvZZfUpCzclbwp2qYuIjCMZqlfGVNSbOb+wIYUHpUzJUBEj7hSWVnMMhloiM
 zjWX/Pk1mAnK4OlsN3LfssaREVpwTEGYKhHkJnATfGa+uPFa+Fgku+onLKvPiuUC
 GudLDk4Upb7hNFmJvwb4LFC6kfHs5JsZ4ecMmwOR3lrQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=TnDkjp
 gtN4qGJqxz8CEzhzo8guBEWkh75PpcP+Qse3A=; b=akD3JIkNzvYJPTDMMnyLFU
 MBGEIiLzhf04dExd1cU00ojHrtetLhNccwq2JJqTFGlkKnxFfmg5nKsnzVp/AHRy
 8iwpMq16rKZGTRQE0AEFewmTxxkK8rDZJ9NxgMLHb1diWKuZNww7YoViDT9p/U+l
 4vQ2GlTa+R4cA2Qj3P4jR8BsMVAY+n+nCFBTFjcGsjCkMAEejwhX655LYiSMEZU/
 KFi85Z5HMDxVJZcWa2dfgDfZ+OmLZapJLqjdCzaUCyJi8bBVzozYeApl0KjQxBx6
 S8rS1X9Cta+YS3+ZMr92Yhu1dexL/vxtSWEaGUITmtad/p4MKG2XJKc3faQDX2Cg
 ==
X-ME-Sender: <xms:tXqtXtmKvYJPD7XtGjcMZblSTAn39HhJVrVriB0RImcUlDcfVDCM5Q>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduhedrieelgdeijecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenfg
 hrlhcuvffnffculddujedmnecujfgurhephffvufgjfhgffffkgggtsehgtderredtredt
 necuhfhrohhmpeforghrihhushcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrih
 hlrdgtohhmqeenucggtffrrghtthgvrhhnpefhtefhhfevuedvueevkeeiveegffejkeej
 gefgieevhefffeevheevgefgueelgeenucffohhmrghinhepghhuihigrdhinhhfohenuc
 fkphepkeegrddvtddvrdeikedrjeehnecuvehluhhsthgvrhfuihiivgeptdenucfrrghr
 rghmpehmrghilhhfrhhomhepmhgsrghkkhgvsehfrghsthhmrghilhdrtghomh
X-ME-Proxy: <xmx:tXqtXvWJCxV5_G6Ro_K1lrmrmrgV-X4B-3bEgT65GxZXpGXaYOqHLQ>
 <xmx:tXqtXm18tFZynu7JWyZOgZcpH7z9uWenl73jnLX-M4j10YXJH0Fs7A>
 <xmx:tXqtXnl9f4vTWEk5KKlpelvJ-6VXUSGgZHdUIYCQMmtr6vj-F3k7RA>
 <xmx:tXqtXmbYAUwi14hliqiJxgxO0QQEqaRLTHlhqAvzzlPNeqzxFLxQtQ>
Received: from localhost (ti0006q161-2604.bb.online.no [84.202.68.75])
 by mail.messagingengine.com (Postfix) with ESMTPA id 2F3323280063;
 Sat,  2 May 2020 09:50:45 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead
 of ext4 for root partition.
In-Reply-To: <87o8r6cvn1.fsf@HIDDEN>
References: <20200326083524.20275-1-mail@HIDDEN>
 <87h7y5z3x0.fsf@HIDDEN> <87lfnga83c.fsf@HIDDEN>
 <87tv24w1ql.fsf@HIDDEN> <87y2rf8zcx.fsf@HIDDEN>
 <87o8r6cvn1.fsf@HIDDEN>
User-Agent: Notmuch/0.29.3 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Sat, 02 May 2020 15:50:43 +0200
Message-ID: <87zhaq30p8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Pierre Neidhardt writes: > Hi Maxim, > > Out of curiosity,
 is #37305 (https://issues.guix.info/issue/37305#16) > going to make it on
 the next core-updates merge or is it too late? Why would it have to go through
 'core-updates'? 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: messagingengine.com]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [64.147.123.25 listed in list.dnswl.org]
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (mbakke[at]fastmail.com)
 0.1 URIBL_SBL_A Contains URL's A record listed in the Spamhaus SBL
 blocklist [URIs: ambrevar.xyz]
 0.6 URIBL_SBL Contains an URL's NS IP listed in the Spamhaus SBL
 blocklist [URIs: ambrevar.xyz]
X-Debbugs-Envelope-To: 40236
Cc: 40236 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

--=-=-=
Content-Type: text/plain

Pierre Neidhardt <mail@HIDDEN> writes:

> Hi Maxim,
>
> Out of curiosity, is #37305 (https://issues.guix.info/issue/37305#16)
> going to make it on the next core-updates merge or is it too late?

Why would it have to go through 'core-updates'?

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl6terMACgkQoqBt8qM6
VPraiwgAjZ8lR/zRA6LuQnY9ybg+WIxfXAJ7AKJQy/a9e7sv2UDwgjjQRNWLnA9I
OIbmecSN4eUUKWeJ1ul8cJMcvuc3FATQwU/lLDAC7HWWkhTjg3gmkhVBaoJhD9Wy
bJ0h+peSeKX4QgADtXaXPY1Lhedw1qE1QY53SyQB0eNbv1ktue5Wn/jZRGwazmk2
8Lx1FQEwuFQzAig/VHzrP1Gw5xGg0M63t59Y7nmuVHhQ6HtCBmXrAdtefj6FMXhz
Jd1SUcoat9AxNYzxHxyLqT7tWZE6CE7Q5AZ9btauCrCoNx5efA9pRgXxlVJAPIxK
84Kmq/auThNshCBY3LhN2CpE0c41Ww==
=eL2A
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40236; Package guix-patches. Full text available.

Message received at 40236 <at> debbugs.gnu.org:


Received: (at 40236) by debbugs.gnu.org; 2 May 2020 13:30:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 02 09:30:18 2020
Received: from localhost ([127.0.0.1]:51572 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jUsDW-0002hc-Gu
	for submit <at> debbugs.gnu.org; Sat, 02 May 2020 09:30:18 -0400
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:38097)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jUsDT-0002e7-7C
 for 40236 <at> debbugs.gnu.org; Sat, 02 May 2020 09:30:04 -0400
X-Originating-IP: 78.199.129.170
Received: from mimimi (moi44-1-78-199-129-170.fbx.proxad.net [78.199.129.170])
 (Authenticated sender: mail@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPSA id DA41140008;
 Sat,  2 May 2020 13:29:55 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead
 of ext4 for root partition.
In-Reply-To: <87y2rf8zcx.fsf@HIDDEN>
References: <20200326083524.20275-1-mail@HIDDEN>
 <87h7y5z3x0.fsf@HIDDEN> <87lfnga83c.fsf@HIDDEN>
 <87tv24w1ql.fsf@HIDDEN> <87y2rf8zcx.fsf@HIDDEN>
Date: Sat, 02 May 2020 15:29:54 +0200
Message-ID: <87o8r6cvn1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi Maxim, Out of curiosity,
 is #37305 (https://issues.guix.info/issue/37305#16)
 going to make it on the next core-updates merge or is it too late? Cheers!
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [217.70.183.194 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.194 listed in list.dnswl.org]
 0.1 URIBL_SBL_A Contains URL's A record listed in the Spamhaus SBL
 blocklist [URIs: ambrevar.xyz]
 0.6 URIBL_SBL Contains an URL's NS IP listed in the Spamhaus SBL
 blocklist [URIs: ambrevar.xyz]
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 40236
Cc: 40236 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi Maxim, Out of curiosity, is #37305 (https://issues.guix.info/issue/37305#16)
    going to make it on the next core-updates merge or is it too late? Cheers!
    
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ambrevar.xyz]
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [217.70.183.194 listed in wl.mailspike.net]
  0.0 T_SPF_HELO_TEMPERROR   SPF: test of HELO record failed (temperror)
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hi Maxim,

Out of curiosity, is #37305 (https://issues.guix.info/issue/37305#16)
going to make it on the next core-updates merge or is it too late?

Cheers!

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl6tddIACgkQm9z0l6S7
zH/T/gf/eWi0/zCZzyWpEaMJInfDnD7+Qh2OpYLceO8dR4/Hb8lPNOZW2w3pNtuH
sL6jT2Wjt7ds5xlgtwgWywkpn08hx9GUN2wu8jCMK7zN+XnBbhTMHWbkvmAElrwS
1Nlinqgzs9g5MImK2lHJTqJ3Og2f8LQHt9CHsSdJgIasfpYZhjcCpmKNKY2Zio0X
oL4F0Ff2lw1A9Oxy1dX4TPUbd+Nth5kaVzJscaNZ0GiwGJHbQNXwGZQoRt1TSiDf
EluRauSgX38nlPLKMtJEGfzIPgUnV9HlkA+4qtctNxcwgbRMcRBneO8hsyndzoI1
ZteiK6ewx+2pN3cNSnkOD2cXOZ5Xtw==
=+Gq7
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40236; Package guix-patches. Full text available.

Message received at 40236 <at> debbugs.gnu.org:


Received: (at 40236) by debbugs.gnu.org; 14 Apr 2020 06:53:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 14 02:53:33 2020
Received: from localhost ([127.0.0.1]:33084 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jOFRt-0001Gn-Oy
	for submit <at> debbugs.gnu.org; Tue, 14 Apr 2020 02:53:33 -0400
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:59341)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jOFRs-0001GZ-Kw
 for 40236 <at> debbugs.gnu.org; Tue, 14 Apr 2020 02:53:33 -0400
X-Originating-IP: 78.199.129.170
Received: from mimimi (moi44-1-78-199-129-170.fbx.proxad.net [78.199.129.170])
 (Authenticated sender: mail@HIDDEN)
 by relay5-d.mail.gandi.net (Postfix) with ESMTPSA id 186BF1C0009;
 Tue, 14 Apr 2020 06:53:24 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead
 of ext4 for root partition.
In-Reply-To: <87h7xmiz96.fsf@HIDDEN>
References: <87lfnesxp6.fsf@HIDDEN> <87pncqbbp5.fsf@HIDDEN>
 <87zhbuqpns.fsf@HIDDEN> <87y2rc6nuk.fsf@HIDDEN>
 <87r1x0welb.fsf@HIDDEN> <c9bde2d4-01ba-4827-f667-05b83d66d66e@HIDDEN>
 <87o8s3wz7d.fsf@HIDDEN> <87o8s2k6lr.fsf@HIDDEN>
 <20200409201244.GR1518@E5400> <87o8rzvlg9.fsf@HIDDEN>
 <20200410082425.GA1518@E5400> <87eesvvhim.fsf@HIDDEN>
 <87h7xmiz96.fsf@HIDDEN>
Date: Tue, 14 Apr 2020 08:53:24 +0200
Message-ID: <87lfmya78b.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Thanks for sharing those tips! -- Pierre Neidhardt
 https://ambrevar.xyz/
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.197 listed in list.dnswl.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 40236
Cc: 40236 <at> debbugs.gnu.org,
 Ludovic =?utf-8?Q?Court=C3=A8?= =?utf-8?Q?s?= <ludo@HIDDEN>,
 Efraim Flashner <efraim@HIDDEN>,
 Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Thanks for sharing those tips! -- Pierre Neidhardt https://ambrevar.xyz/
    
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.183.197 listed in list.dnswl.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Thanks for sharing those tips!

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl6VXeQACgkQm9z0l6S7
zH8vPAf9EFMCUrxVl55rWL6DEsJsSfrI4SzSJ/CUdGETuKbWDdF3ZlwkRsdmUDfB
S+/d3Fdf9ILmR2MCXue7qtsGW6tE+vUJsyIhj4ToB8ZC26OvomrKnc3euYsS863R
qLXFwCTsVrQA1tmhn+/YLktJemU9UO6roF7ri/rg39qgeyYyNPBcOC53EfNjZAUM
62j1bHJnRgu3pTsiGcYOQVOsLf9FaoWQwQ/AfZjjLQLAx6dNMge/SSLYKvNA35nJ
tatTTbg6ov0UdX6DM381wYzS0kvEFJ+CnKn258g4NV4bBKeZmTxKn3oeBWS1uPC6
WL6f2d9eryNO+MBp+efITViaIxB0qg==
=1Q0l
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40236; Package guix-patches. Full text available.

Message received at 40236 <at> debbugs.gnu.org:


Received: (at 40236) by debbugs.gnu.org; 14 Apr 2020 02:21:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 13 22:21:03 2020
Received: from localhost ([127.0.0.1]:32944 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jOBCA-0002tM-MS
	for submit <at> debbugs.gnu.org; Mon, 13 Apr 2020 22:21:02 -0400
Received: from mail-qk1-f195.google.com ([209.85.222.195]:46602)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1jOBC9-0002sX-2P
 for 40236 <at> debbugs.gnu.org; Mon, 13 Apr 2020 22:21:01 -0400
Received: by mail-qk1-f195.google.com with SMTP id g74so11722894qke.13
 for <40236 <at> debbugs.gnu.org>; Mon, 13 Apr 2020 19:21:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=5LEGYJ3wup2jCWkPRp+A5DQMjFKBWfOo48r9yfLqjmA=;
 b=AyEf9E9+YMeJK/Q7Kp+RHbQFDyCeRS5Hqpva3vS0H9gYH5gHpeJYL3E29Htwxr1ltW
 9TqbNywTlXpGZpaBPykQ7UvbRnIjocqI6sCvK/pji0RI+gEjZg/JLyjmRCorQyBOxIOU
 5dB85br2qtYXptdBVXdwLo5n2YojcbDdYM9IQyjkREBW3LI+gDUipsqxOVNDEF1dtp9v
 Jr9Rslt8Fx429f1urVN3TKsUj3yT34yw155LAHaUNIurPqnzNyH5sBH1wAQsJudLBbZ3
 uFWOE+GMarQWc5pMoghMugcvfuegfLsy9FiPoybJ+Wj/oOrhIgDObKsuBiZ7UVPHiKh0
 11Gw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=5LEGYJ3wup2jCWkPRp+A5DQMjFKBWfOo48r9yfLqjmA=;
 b=HWnP9Y4/AXmADoveoPY4rwYyjhMEdmLHcCyZ47/irQvnJLvlR4/jVhu/K365XwknRl
 Wk1lVIuKhWenqvb6T12V5AlIKN6+HF1rp6/MTGOdnDyTdH0PI8Gf3BahyEIeikbs5eaE
 olj5hrydrUZA85L9nNDyUWFK9cvZMsZrXFY/5Co24KpH3sx9XVeNwOJWNmLilcg7pPW5
 6j6DrqfORtg9KgvOu1eYz+c0GH+rROVmx7wXwjzqV1Q81L+GznyNR7A5Z2REXGR/kBPE
 tdmtiV3YZ2+RkdPjukmX2L1Gl0v7XvoDnQ4NYNDL3PCDUu7x6LWJuApoplC6Q3YFs6YR
 /CKg==
X-Gm-Message-State: AGi0PubDJfoe9a+1QrzMgD9UH49gA9Noj+BXymP2YeyU0yLzy4XellOr
 qAly01zCOsXE0qNoNURI5fw=
X-Google-Smtp-Source: APiQypI9mYtZdKK7dzvmXrVQfh8ggX7G6015r2tUSBhvHjAmc33FWrXqQ7B+ryH6eXkrjiwlkvLZ4w==
X-Received: by 2002:a37:8f06:: with SMTP id r6mr18912370qkd.260.1586830855484; 
 Mon, 13 Apr 2020 19:20:55 -0700 (PDT)
Received: from hurd (dsl-10-130-155.b2b2c.ca. [72.10.130.155])
 by smtp.gmail.com with ESMTPSA id k35sm10316658qtc.28.2020.04.13.19.20.54
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 13 Apr 2020 19:20:54 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead
 of ext4 for root partition.
References: <87lfnesxp6.fsf@HIDDEN> <87pncqbbp5.fsf@HIDDEN>
 <87zhbuqpns.fsf@HIDDEN> <87y2rc6nuk.fsf@HIDDEN>
 <87r1x0welb.fsf@HIDDEN>
 <c9bde2d4-01ba-4827-f667-05b83d66d66e@HIDDEN>
 <87o8s3wz7d.fsf@HIDDEN> <87o8s2k6lr.fsf@HIDDEN>
 <20200409201244.GR1518@E5400> <87o8rzvlg9.fsf@HIDDEN>
 <20200410082425.GA1518@E5400> <87eesvvhim.fsf@HIDDEN>
Date: Mon, 13 Apr 2020 22:20:53 -0400
In-Reply-To: <87eesvvhim.fsf@HIDDEN> (Pierre Neidhardt's message of
 "Fri, 10 Apr 2020 11:04:17 +0200")
Message-ID: <87h7xmiz96.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Hi! Pierre Neidhardt writes: > Efraim Flashner writes: > >>
 On Fri, Apr 10, 2020 at 09:39:18AM +0200, Pierre Neidhardt wrote: >>> > So
 compression saves me 26% ([69-51]/69), and deduplication saves me >>> > 62%
 ([180-69]/180). [...] 
 Content analysis details:   (1.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.222.195 listed in list.dnswl.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.8 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.222.195 listed in wl.mailspike.net]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (maxim.cournoyer[at]gmail.com)
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
X-Debbugs-Envelope-To: 40236
Cc: 40236 <at> debbugs.gnu.org,
 Ludovic =?utf-8?Q?Court?= =?utf-8?Q?=C3=A8s?= <ludo@HIDDEN>,
 Efraim Flashner <efraim@HIDDEN>,
 Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

Hi!

Pierre Neidhardt <mail@HIDDEN> writes:

> Efraim Flashner <efraim@HIDDEN> writes:
>
>> On Fri, Apr 10, 2020 at 09:39:18AM +0200, Pierre Neidhardt wrote:
>>> > So compression saves me 26% ([69-51]/69), and deduplication saves me
>>> > 62% ([180-69]/180).
>>> 
>>> Thanks for sharing!
>>> zstd might give better results.  Any reason you chose lzo over zstd?
>>> 
>>
>> My machine is about 10 years old so I was more concerned than normal
>> about the CPU usage. If lz4 was an option I would've gone with that, but
>> according to the Arch wiki or some other locations lzo was basically the
>> fastest option.
>
> I've tried zstd on an AMD Athlon II X4 635 (2010): it's perfectly
> smooth, can't notice any performance drop.  In fact, I wonder if it's
> not even faster than before, but it's hard to measure.

I've also tried zstd (default level, 3) on a Intel Q6700 desktop (2007).
I don't see any CPU spike caused by the compression.  It's operating
quite smoothly actually, and gives me the following space savings:

--8<---------------cut here---------------start------------->8---
sudo compsize -x /gnu/store
Processed 1613194 files, 402674 regular extents (1163093 refs), 665696 inline.
Type       Perc     Disk Usage   Uncompressed Referenced
TOTAL       60%       15G          25G          63G
none       100%       10G          10G          28G
zstd        33%      5.1G          15G          34G
--8<---------------cut here---------------end--------------->8---

Recently on the #btrfs channel someone suggested to use the Btrfs option
compress-force=zstd rather than compress=zstd, the reason being that
zstd has its own algorithm to determine if it should compress a file or
not, and that this is faster than what Btrfs does on its own when trying
to test for compressibility.

Another suggestion was to use space_cache=v2 (it defaults to v1).  This
is supposedly more efficient at managing the free space pool on large
drives (TB and up).

Maxim




Information forwarded to guix-patches@HIDDEN:
bug#40236; Package guix-patches. Full text available.

Message received at 40236 <at> debbugs.gnu.org:


Received: (at 40236) by debbugs.gnu.org; 10 Apr 2020 09:04:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 10 05:04:28 2020
Received: from localhost ([127.0.0.1]:54764 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jMpaO-0004Q1-3r
	for submit <at> debbugs.gnu.org; Fri, 10 Apr 2020 05:04:28 -0400
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:50165)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jMpaM-0004Pp-2A
 for 40236 <at> debbugs.gnu.org; Fri, 10 Apr 2020 05:04:27 -0400
X-Originating-IP: 78.199.129.170
Received: from mimimi (moi44-1-78-199-129-170.fbx.proxad.net [78.199.129.170])
 (Authenticated sender: mail@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id 9BABD6000D;
 Fri, 10 Apr 2020 09:04:18 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Efraim Flashner <efraim@HIDDEN>
Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead
 of ext4 for root partition.
In-Reply-To: <20200410082425.GA1518@E5400>
References: <87lfnesxp6.fsf@HIDDEN> <87pncqbbp5.fsf@HIDDEN>
 <87zhbuqpns.fsf@HIDDEN> <87y2rc6nuk.fsf@HIDDEN>
 <87r1x0welb.fsf@HIDDEN> <c9bde2d4-01ba-4827-f667-05b83d66d66e@HIDDEN>
 <87o8s3wz7d.fsf@HIDDEN> <87o8s2k6lr.fsf@HIDDEN>
 <20200409201244.GR1518@E5400> <87o8rzvlg9.fsf@HIDDEN>
 <20200410082425.GA1518@E5400>
Date: Fri, 10 Apr 2020 11:04:17 +0200
Message-ID: <87eesvvhim.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Efraim Flashner <efraim@HIDDEN> writes: > On Fri,
 Apr 10, 2020 at 09:39:18AM +0200, Pierre Neidhardt wrote: >> > So compression
 saves me 26% ([69-51]/69), and deduplication saves me >> > 62% ([180-69]/180).
 >> >> Thanks for sharing! >> zstd [...] 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.195 listed in list.dnswl.org]
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [217.70.183.195 listed in wl.mailspike.net]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 40236
Cc: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>,
 Ludovic =?utf-8?Q?Court?= =?utf-8?Q?=C3=A8s?= <ludo@HIDDEN>,
 40236 <at> debbugs.gnu.org, Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Efraim Flashner <efraim@HIDDEN> writes: > On Fri,
   Apr 10, 2020 at 09:39:18AM +0200, Pierre Neidhardt wrote: >> > So compression
    saves me 26% ([69-51]/69), and deduplication saves me >> > 62% ([180-69]/180).
    >> >> Thanks for sharing! >> zstd [...] 
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ambrevar.xyz]
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [217.70.183.195 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.183.195 listed in list.dnswl.org]
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Efraim Flashner <efraim@HIDDEN> writes:

> On Fri, Apr 10, 2020 at 09:39:18AM +0200, Pierre Neidhardt wrote:
>> > So compression saves me 26% ([69-51]/69), and deduplication saves me
>> > 62% ([180-69]/180).
>>=20
>> Thanks for sharing!
>> zstd might give better results.  Any reason you chose lzo over zstd?
>>=20
>
> My machine is about 10 years old so I was more concerned than normal
> about the CPU usage. If lz4 was an option I would've gone with that, but
> according to the Arch wiki or some other locations lzo was basically the
> fastest option.

I've tried zstd on an AMD Athlon II X4 635 (2010): it's perfectly
smooth, can't notice any performance drop.  In fact, I wonder if it's
not even faster than before, but it's hard to measure.

Note that Arch Wiki tends to be on the conservative side when it comes
to performance.  I would not use it as a reference for the general case:
it may guide users to sacrifice convenience and features over
unnoticeable performance gains.

Cheers!

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl6QNpEACgkQm9z0l6S7
zH9vfQf9Fs1ohFr7YRR5jKPLho8OnuyHO1HSuMYCdLLAZOGxNhMLee7z6IjZ10ir
XKtaBFEkWQsQXc70GLXWiPHZWR3Mi/0uzndQitngZ8hcs5ZGxtzoPPgTNgIlAONa
CRNKqLCTVF49hXusl8HE9lDDxuxmvxrj5oC4OjwmHblfGtxL0R43joKtNAClVPb4
YA4e0IX49+W8R91KRiAE09bFvGKmXw9CsdvD+XOmUg4wds/1uyoI8w6R5HkYIA6m
FG4mthYYEvlBi7CfB9FnHspybdFB2Wyuer7+fSVczBYM13qCrih7pybHkFaBazWD
Doxv8+dKGEhK1WqjIRIGD0OHPXV6mw==
=yQSp
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40236; Package guix-patches. Full text available.

Message received at 40236 <at> debbugs.gnu.org:


Received: (at 40236) by debbugs.gnu.org; 10 Apr 2020 08:25:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 10 04:25:05 2020
Received: from localhost ([127.0.0.1]:54747 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jMoyH-0003SJ-Gq
	for submit <at> debbugs.gnu.org; Fri, 10 Apr 2020 04:25:05 -0400
Received: from flashner.co.il ([178.62.234.194]:41792)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1jMoyF-0003Rj-Pa
 for 40236 <at> debbugs.gnu.org; Fri, 10 Apr 2020 04:25:04 -0400
Received: from localhost (unknown [141.226.9.17])
 by flashner.co.il (Postfix) with ESMTPSA id E70C94034D;
 Fri, 10 Apr 2020 08:24:57 +0000 (UTC)
Date: Fri, 10 Apr 2020 11:24:25 +0300
From: Efraim Flashner <efraim@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead
 of ext4 for root partition.
Message-ID: <20200410082425.GA1518@E5400>
References: <87lfnesxp6.fsf@HIDDEN> <87pncqbbp5.fsf@HIDDEN>
 <87zhbuqpns.fsf@HIDDEN> <87y2rc6nuk.fsf@HIDDEN>
 <87r1x0welb.fsf@HIDDEN>
 <c9bde2d4-01ba-4827-f667-05b83d66d66e@HIDDEN>
 <87o8s3wz7d.fsf@HIDDEN> <87o8s2k6lr.fsf@HIDDEN>
 <20200409201244.GR1518@E5400> <87o8rzvlg9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="FJ766Kk/2p6HVARF"
Content-Disposition: inline
In-Reply-To: <87o8rzvlg9.fsf@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 40236
Cc: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>,
 Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 40236 <at> debbugs.gnu.org,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--FJ766Kk/2p6HVARF
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Fri, Apr 10, 2020 at 09:39:18AM +0200, Pierre Neidhardt wrote:
> > So compression saves me 26% ([69-51]/69), and deduplication saves me
> > 62% ([180-69]/180).
>=20
> Thanks for sharing!
> zstd might give better results.  Any reason you chose lzo over zstd?
>=20

My machine is about 10 years old so I was more concerned than normal
about the CPU usage. If lz4 was an option I would've gone with that, but
according to the Arch wiki or some other locations lzo was basically the
fastest option.

Since mail is mostly text I occasionally recompress that. I haven't
figured out how to use 'btrfs filesystem defragment' to choose the
compression level for zstd.

(ins)efraim@E5400 ~$ sudo compsize Maildir/
Password:
Processed 121378 files, 129245 regular extents (129245 refs), 19963 inline.
Type       Perc     Disk Usage   Uncompressed Referenced
TOTAL       66%      3.3G         4.9G         4.9G
none       100%      282M         282M         282M
zlib        55%      137K         248K         248K
lzo         53%      125M         233M         233M
zstd        64%      2.9G         4.4G         4.4G


--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--FJ766Kk/2p6HVARF
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAl6QLTYACgkQQarn3Mo9
g1GMIg//b3GD4IjABQFiRgYxsGxieBMRuyp5IAt0qsPLKE2Dj8nDk+pnNKGYrK66
YNEiU+tPHIAd2HCSyCbf1q/20c7d+Q2J5MFZtHzD79h9MmTV7biTo7id+mP78eAl
sx7fDSjI6rBBWiiPdHWdQhWs5eMaq3lOwdcYWFS4WjvgJJEi67NrCayl8daVDxIv
36XpSXYOpeMupGTOF6wOvIL7AWjwnJOVKue+jBf+coVtz3F5FoploHSxWdrU6X5G
yCLPYv3rn+oazFN+0bdQ6f+8rC31SBx24V+Qt9A2IxSqpX55LMmMCllvJrNtU6qs
7tilSTjZm0s+Mg+Ov3iKxxuEmvrgtgpsoxbFn14lw0r1lBhKKXaJ6SMmK6NpPuDE
Hep7gd61zX4StZPi5VqR27f76/WdLfJtSip0uWFD6U3xHfzpoZdq+FrWJ2ND/xnD
b2mQdzv9C7FVPdi+BCPf8GwnCRYYlP3WWIyOjbvERNQAJONeSPLxARCGkzENJ9Jx
7Ugql3cPO9C9iHb1+pWSU7MvEvyxGw5QIVuKKlZ2/Fxr7F/XhDFT1FfQlABmJgKS
LOJBouM9cj7x6QLWfwPfOqjQyuZmL5Hi3AUNaDX+Pu4JBha7GmCGlDI9Od0nj9I/
SZhA123vuDurpZrkPsyWU0ObPkkQiDzW4mWSXy/EzKfdAOUPNEs=
=njq6
-----END PGP SIGNATURE-----

--FJ766Kk/2p6HVARF--




Information forwarded to guix-patches@HIDDEN:
bug#40236; Package guix-patches. Full text available.

Message received at 40236 <at> debbugs.gnu.org:


Received: (at 40236) by debbugs.gnu.org; 10 Apr 2020 07:39:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 10 03:39:30 2020
Received: from localhost ([127.0.0.1]:54742 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jMoGA-0002MK-15
	for submit <at> debbugs.gnu.org; Fri, 10 Apr 2020 03:39:30 -0400
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:48869)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jMoG7-0002M6-Tk
 for 40236 <at> debbugs.gnu.org; Fri, 10 Apr 2020 03:39:28 -0400
X-Originating-IP: 78.199.129.170
Received: from mimimi (moi44-1-78-199-129-170.fbx.proxad.net [78.199.129.170])
 (Authenticated sender: mail@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPSA id 0E1D140010;
 Fri, 10 Apr 2020 07:39:19 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Efraim Flashner <efraim@HIDDEN>,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead
 of ext4 for root partition.
In-Reply-To: <20200409201244.GR1518@E5400>
References: <20200326083524.20275-1-mail@HIDDEN>
 <87h7y5z3x0.fsf@HIDDEN> <87lfnesxp6.fsf@HIDDEN>
 <87pncqbbp5.fsf@HIDDEN> <87zhbuqpns.fsf@HIDDEN>
 <87y2rc6nuk.fsf@HIDDEN> <87r1x0welb.fsf@HIDDEN>
 <c9bde2d4-01ba-4827-f667-05b83d66d66e@HIDDEN> <87o8s3wz7d.fsf@HIDDEN>
 <87o8s2k6lr.fsf@HIDDEN> <20200409201244.GR1518@E5400>
Date: Fri, 10 Apr 2020 09:39:18 +0200
Message-ID: <87o8rzvlg9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > So compression saves me 26% ([69-51]/69), and deduplication
 saves me > 62% ([180-69]/180). Thanks for sharing! zstd might give better
 results. Any reason you chose lzo over zstd? -- Pierre Neidhardt
 https://ambrevar.xyz/
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.194 listed in list.dnswl.org]
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [217.70.183.194 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 40236
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 40236 <at> debbugs.gnu.org,
 Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > So compression saves me 26% ([69-51]/69), and deduplication
    saves me > 62% ([180-69]/180). Thanks for sharing! zstd might give better
    results. Any reason you chose lzo over zstd? -- Pierre Neidhardt https://ambrevar.xyz/
    
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ambrevar.xyz]
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [217.70.183.194 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.183.194 listed in list.dnswl.org]
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

> So compression saves me 26% ([69-51]/69), and deduplication saves me
> 62% ([180-69]/180).

Thanks for sharing!
zstd might give better results.  Any reason you chose lzo over zstd?

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl6QIqYACgkQm9z0l6S7
zH9pgwf+JADwm/DpBSUJ4UYvcPQ5C7EHYosoITBMP9EXnMH0Cn16DEbseaAqmQNl
zwqo6JQKRJxTzVBtBPo0leKEhsKHlBRgnEgJr51zvvgW9Y5vh9rEaQJAVCQUFrgL
8TNYX2XARtwRZK24xdQbOYcQbpsYq2KIkAUZPS8u/6zgb1PimVJl72yVOswViudE
ZvBIcNvulfHEExRsjWkyLMLRxLExu1B8GyJReeyXPRDM+O48OSwzX3GWIAdBq/ZJ
MFVLJgkIUanOCBYjZdaJUz9pbBzuXcgbM8rUwDZej2yIU8RrtLov0GZQqLiPGcb7
LALy6lCJs/ztPO4SoF68bdqMYCL/6g==
=gtzG
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40236; Package guix-patches. Full text available.

Message received at 40236 <at> debbugs.gnu.org:


Received: (at 40236) by debbugs.gnu.org; 9 Apr 2020 20:13:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 09 16:13:24 2020
Received: from localhost ([127.0.0.1]:54467 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jMdYB-0002ZT-Uk
	for submit <at> debbugs.gnu.org; Thu, 09 Apr 2020 16:13:24 -0400
Received: from flashner.co.il ([178.62.234.194]:40282)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1jMdYA-0002ZI-Lv
 for 40236 <at> debbugs.gnu.org; Thu, 09 Apr 2020 16:13:23 -0400
Received: from localhost (unknown [141.226.9.17])
 by flashner.co.il (Postfix) with ESMTPSA id CE597402C5;
 Thu,  9 Apr 2020 20:13:16 +0000 (UTC)
Date: Thu, 9 Apr 2020 23:12:44 +0300
From: Efraim Flashner <efraim@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead
 of ext4 for root partition.
Message-ID: <20200409201244.GR1518@E5400>
References: <20200326083524.20275-1-mail@HIDDEN>
 <87h7y5z3x0.fsf@HIDDEN> <87lfnesxp6.fsf@HIDDEN>
 <87pncqbbp5.fsf@HIDDEN> <87zhbuqpns.fsf@HIDDEN>
 <87y2rc6nuk.fsf@HIDDEN> <87r1x0welb.fsf@HIDDEN>
 <c9bde2d4-01ba-4827-f667-05b83d66d66e@HIDDEN>
 <87o8s3wz7d.fsf@HIDDEN> <87o8s2k6lr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="i7PFf0A+xzvFOD9h"
Content-Disposition: inline
In-Reply-To: <87o8s2k6lr.fsf@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Tue, Apr 07, 2020 at 11:18:40PM -0400, Maxim Cournoyer
 wrote: > Hello, > > Pierre Neidhardt <mail@HIDDEN> writes: > > > Jonathan
 Brielmaier <jonathan.brielmaier@HIDDEN> writes: > > > >> No, I [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
X-Debbugs-Envelope-To: 40236
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Pierre Neidhardt <mail@HIDDEN>, 40236 <at> debbugs.gnu.org,
 Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)


--i7PFf0A+xzvFOD9h
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Tue, Apr 07, 2020 at 11:18:40PM -0400, Maxim Cournoyer wrote:
> Hello,
>=20
> Pierre Neidhardt <mail@HIDDEN> writes:
>=20
> > Jonathan Brielmaier <jonathan.brielmaier@HIDDEN> writes:
> >
> >> No, I did run openSUSE on btrfs, there was no Guix involved at all. But
> >> btrfs seemed to be the root case of all my troubles (performance,
> >> hang-ups etc).
>=20
> I have yet to encounter this kind of problem on the 3 Guix Systems I've
> installed with root Btrfs file systems.  It's been rock stable, even
> under heavy use (I have a Guix machine configured as a Jenkins slave at
> work that builds Yocto projects -- it churns through GiB of files
> daily).
>=20
> [...]
>=20
> >> Snapshots did fill up my disk.
>=20
> Snapshots only fill up the disk when we use them (and leave them behind
> for enough time that the content they refer to has been mostly
> rewritten.
>=20
> >> So maybe create a config for the OSes of tomorrow: btrfs, wireguard,
> >> rust etc :P
> >
> > In the end, what I'm suggesting is this issue is merely a
> > recommendation.
> >
> > Currently Guix is very annoying to use on small Ext4 partitions, e.g. a
> > 64 GiB SSD.  With compression on, you suddenly get 3x more space for
> > your /gnu/store :)
>=20
> I agree that compression is a nice feature.. It also speeds sequential
> disk reads and writes. On an old laptop that has a 64 GiB SSD and uses
> ext4, I have to 'guix gc' too often, and worry a lot about spaces
> (there's literally not much else than Guix on the drive, but it manages
> to fill it up quite easily :-).
>=20

(ins)efraim@E5400 ~$ sudo compsize -x /gnu/store/
Password:
Processed 3158140 files, 737675 regular extents (2467369 refs), 1335101 inl=
ine.
Type       Perc     Disk Usage   Uncompressed Referenced
TOTAL       74%       51G          69G         180G
none       100%       32G          32G          86G
lzo         51%       19G          36G          93G

My understanding of this is that I have 36GB of files that are
compressed at 51% to 19GB, and overall due to the deduplication in the
store I have references to what would otherwise be 180GB total taking up
only 51G.

So compression saves me 26% ([69-51]/69), and deduplication saves me
62% ([180-69]/180).

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--i7PFf0A+xzvFOD9h
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAl6PgbkACgkQQarn3Mo9
g1EwYQ/7BugCQ95p43ZUV57bwTaGCBa40ZRU1K1pv7lNeKZlIvRXd28eEbrQJsDI
zLdZzROLFOvF2mUXBmEI+9+c+4SmyQRzeT5JjVkB8u9y4h/ulMRk+2bB9UtzCgLk
vdsoleaFfH5TOModhr9QpbMkOpnCBznKukMG8pmzbtL8YDip+q+Ifn12YXQLTK1/
82TjDV0211uKRNZm2Mn/Kz/38J7N1KfFYjgT+++VGTX3ZL4jl2PgxGLjToribtAu
5MKORgc7FcCGi9RLfFwkVVLr0tv4yP9WJxbLyQlxYauCyQTvFBGuFqELN1bW/qOp
c754T0O5wAIpHUJxZe8d2Nig3ljAlrPIEEMeodzWgXkCGEEYDwvKrsWA/iiswqfz
w44SKn0qq3zPnczCg4kFl2O/JRKkrOzp0M5TIneLEnyls8SrKMiCspyTpvst9o6y
tZP0ZdlRXyaJ/MwmlN0EYTga9YUppg4ArfQ5rlupBxO4xfCSq8uXZD0Omd7hGL/I
nJagLqERNJk2mmh4TyItNRFjnl1IJX5hyVfvfcyQoLpIZ97nIM0aRauZ99VoHhiN
qMbcBC7YrTcEQh8aT4P12eopc9VD9ItitIENm+K9HRRzJYc5savuwyE6b2/S9KF1
YxaMglMV1TARhfIlMfxIbZmQuOfjocg2vJImUZFIDAwKdO3aZUI=
=N+fz
-----END PGP SIGNATURE-----

--i7PFf0A+xzvFOD9h--




Information forwarded to guix-patches@HIDDEN:
bug#40236; Package guix-patches. Full text available.

Message received at 40236 <at> debbugs.gnu.org:


Received: (at 40236) by debbugs.gnu.org; 8 Apr 2020 03:18:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 07 23:18:55 2020
Received: from localhost ([127.0.0.1]:51244 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jM1Et-0007dB-2e
	for submit <at> debbugs.gnu.org; Tue, 07 Apr 2020 23:18:55 -0400
Received: from mail-qv1-f67.google.com ([209.85.219.67]:33576)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1jM1Eq-0007cs-Jc
 for 40236 <at> debbugs.gnu.org; Tue, 07 Apr 2020 23:18:53 -0400
Received: by mail-qv1-f67.google.com with SMTP id p19so3006686qve.0
 for <40236 <at> debbugs.gnu.org>; Tue, 07 Apr 2020 20:18:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=5jpog0vpx0EP3ta7Q9VrKNhYkoLRZ4pFh5IptYJapKc=;
 b=bsA4ZtNajzacTjZ16oBSHCUbWS2/VaARCVTTFnSetrfWTawVq2m8+g+16kZK0kNfnY
 m4xJRcLSZKkwq3xYfS0UWJDyaKvd3JgP4aw8586xQ/pt2bArUUdi1C6p/7rlBA0l8O1v
 Ps6IC45zLeaC/lIoFaRp/Yy4d6IviE3LzGvVtVwbtZQgfaHVWctGo0t5wYjcEU9c27uF
 BrNL/F8U6GhrQ6bUf1vnuWGuXlVI1Gt7JxOvgc2alkpGqYPnFxUfiloWJmSVi8F84KPu
 sBTHx9j1sWv8va+mhdjrIb6OEwix697stw+JL3B8u5iasJMJn+2JjqDchE7W4mSjGpUJ
 IkNA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=5jpog0vpx0EP3ta7Q9VrKNhYkoLRZ4pFh5IptYJapKc=;
 b=MFwULu1LOl5i97H8vD/tXHNJ+ecJQZYch3GbGp3hr16g4yMvVhrYLEKaykar231IK5
 vdaJlenujq/zojDDPT4LxBaboMsXlOcFdZ01a87QRITHkcsVJLkTte3CLP18VX25WVai
 98CA0zsYti2+ap+KOoSHTnI3bOSDEeFQSShs1B+XYlGUXytKqwMx76b6rQC9C065DcHe
 uqZkLWDfNQwvIki4ZgxFUby8BHf+O9drovmxjN7FZJoVo1m3XLQcL+/EHpcfKokkYcuX
 /kVPmw/LnvJAEV/HnMdmaJwrwlqrbIopxiFClmcBa5stn+Zu12Z/PbpdlffZdWr4rU9w
 Zwdw==
X-Gm-Message-State: AGi0PuZg4IPR6D2Z4a+BhF83+mgexW6GICatwI4JMKG6VweFmuGBuqoR
 /XDAUa2RJOZuxtuMPWqMCx0+5KyCu4k=
X-Google-Smtp-Source: APiQypIy+0xKD5lHFMrqe9oK5/vUSM0XSc9hu2O4y2fIMPTUj4N7eAwjAFMQYC3dSxhffrebcPRHsw==
X-Received: by 2002:ad4:48c7:: with SMTP id v7mr5562867qvx.138.1586315926965; 
 Tue, 07 Apr 2020 20:18:46 -0700 (PDT)
Received: from hurd (dsl-158-229.b2b2c.ca. [66.158.158.229])
 by smtp.gmail.com with ESMTPSA id f127sm18177233qkd.74.2020.04.07.20.18.45
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 07 Apr 2020 20:18:46 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead
 of ext4 for root partition.
References: <20200326083524.20275-1-mail@HIDDEN>
 <87h7y5z3x0.fsf@HIDDEN> <87lfnesxp6.fsf@HIDDEN>
 <87pncqbbp5.fsf@HIDDEN> <87zhbuqpns.fsf@HIDDEN>
 <87y2rc6nuk.fsf@HIDDEN> <87r1x0welb.fsf@HIDDEN>
 <c9bde2d4-01ba-4827-f667-05b83d66d66e@HIDDEN>
 <87o8s3wz7d.fsf@HIDDEN>
Date: Tue, 07 Apr 2020 23:18:40 -0400
In-Reply-To: <87o8s3wz7d.fsf@HIDDEN> (Pierre Neidhardt's message of
 "Tue, 07 Apr 2020 09:07:50 +0200")
Message-ID: <87o8s2k6lr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello, Pierre Neidhardt writes: > Jonathan Brielmaier writes:
 > >> No, I did run openSUSE on btrfs, there was no Guix involved at all.
 But >> btrfs seemed to be the root case of all my troubles (performance, >>
 hang-ups etc). 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (maxim.cournoyer[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.219.67 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.219.67 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 40236
Cc: Ludovic =?utf-8?Q?C?= =?utf-8?Q?ourt=C3=A8s?= <ludo@HIDDEN>,
 40236 <at> debbugs.gnu.org, Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hello,

Pierre Neidhardt <mail@HIDDEN> writes:

> Jonathan Brielmaier <jonathan.brielmaier@HIDDEN> writes:
>
>> No, I did run openSUSE on btrfs, there was no Guix involved at all. But
>> btrfs seemed to be the root case of all my troubles (performance,
>> hang-ups etc).

I have yet to encounter this kind of problem on the 3 Guix Systems I've
installed with root Btrfs file systems.  It's been rock stable, even
under heavy use (I have a Guix machine configured as a Jenkins slave at
work that builds Yocto projects -- it churns through GiB of files
daily).

[...]

>> Snapshots did fill up my disk.

Snapshots only fill up the disk when we use them (and leave them behind
for enough time that the content they refer to has been mostly
rewritten.

>> So maybe create a config for the OSes of tomorrow: btrfs, wireguard,
>> rust etc :P
>
> In the end, what I'm suggesting is this issue is merely a
> recommendation.
>
> Currently Guix is very annoying to use on small Ext4 partitions, e.g. a
> 64 GiB SSD.  With compression on, you suddenly get 3x more space for
> your /gnu/store :)

I agree that compression is a nice feature.. It also speeds sequential
disk reads and writes. On an old laptop that has a 64 GiB SSD and uses
ext4, I have to 'guix gc' too often, and worry a lot about spaces
(there's literally not much else than Guix on the drive, but it manages
to fill it up quite easily :-).

Maxim




Information forwarded to guix-patches@HIDDEN:
bug#40236; Package guix-patches. Full text available.

Message received at 40236 <at> debbugs.gnu.org:


Received: (at 40236) by debbugs.gnu.org; 7 Apr 2020 07:08:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 07 03:08:24 2020
Received: from localhost ([127.0.0.1]:49493 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jLiLQ-00029E-9d
	for submit <at> debbugs.gnu.org; Tue, 07 Apr 2020 03:08:24 -0400
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:52181)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jLiLO-00028l-6t
 for 40236 <at> debbugs.gnu.org; Tue, 07 Apr 2020 03:08:23 -0400
X-Originating-IP: 78.199.129.170
Received: from mimimi (moi44-1-78-199-129-170.fbx.proxad.net [78.199.129.170])
 (Authenticated sender: mail@HIDDEN)
 by relay5-d.mail.gandi.net (Postfix) with ESMTPSA id C8ECF1C000F;
 Tue,  7 Apr 2020 07:07:52 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>, Maxim Cournoyer
 <maxim.cournoyer@HIDDEN>, Ludovic =?utf-8?Q?Court=C3=A8s?=
 <ludo@HIDDEN>
Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead
 of ext4 for root partition.
In-Reply-To: <c9bde2d4-01ba-4827-f667-05b83d66d66e@HIDDEN>
References: <20200326083524.20275-1-mail@HIDDEN>
 <87h7y5z3x0.fsf@HIDDEN> <87lfnesxp6.fsf@HIDDEN>
 <87pncqbbp5.fsf@HIDDEN> <87zhbuqpns.fsf@HIDDEN>
 <87y2rc6nuk.fsf@HIDDEN> <87r1x0welb.fsf@HIDDEN>
 <c9bde2d4-01ba-4827-f667-05b83d66d66e@HIDDEN>
Date: Tue, 07 Apr 2020 09:07:50 +0200
Message-ID: <87o8s3wz7d.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Jonathan Brielmaier <jonathan.brielmaier@HIDDEN> writes: >
 No, I did run openSUSE on btrfs, there was no Guix involved at all. But >
 btrfs seemed to be the root case of all my troubles (performance, > hang-ups
 etc). Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.197 listed in list.dnswl.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 40236
Cc: 40236 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Jonathan Brielmaier <jonathan.brielmaier@HIDDEN> writes: >
    No, I did run openSUSE on btrfs, there was no Guix involved at all. But >
    btrfs seemed to be the root case of all my troubles (performance, > hang-ups
    etc). 
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.183.197 listed in list.dnswl.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Jonathan Brielmaier <jonathan.brielmaier@HIDDEN> writes:

> No, I did run openSUSE on btrfs, there was no Guix involved at all. But
> btrfs seemed to be the root case of all my troubles (performance,
> hang-ups etc).

When did you try this?  Maybe some issues have been fixed in the
meantime.
I've used Btrfs on a few computers for many months now and it's been a
bliss.  Of course experiences vary ;)

>>> Further do we need all this rollback stuff from btrfs if we have it
>>> already in Guix?
>>
>> Btrfs has many benefits over Ext3:
>>
>> it offers compression to about 30% on average, it supports subvolumes,
>> snapshots and snapshot syncing, and much more.
>
> Snapshots did fill up my disk.

What do you mean?

> I had no use for them on my laptop. On a
> Guix System even less, because you have rollbacks from the package
> manager :)

Snapshots are not just for rollbacks: you can sync them across the
network to a remote machine.  This allows you to deploy disk images very
fast.

>> For all these reasons I believe Btrfs is a good default for the OSes of =
tomorrow! :)
>
> So maybe create a config for the OSes of tomorrow: btrfs, wireguard,
> rust etc :P

In the end, what I'm suggesting is this issue is merely a
recommendation.

Currently Guix is very annoying to use on small Ext4 partitions, e.g. a
64 GiB SSD.  With compression on, you suddenly get 3x more space for
your /gnu/store :)

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl6MJsYACgkQm9z0l6S7
zH/muQgAkVJtLaFxlqvU94+t6ZMBZErAbX8thuaFsLG7H1dMDLVRCI+7qP7eVdrp
1BKwsJ7eqWkPICAe/lFts45hMjaGJdvPGzfNXGaqq8N4G1/5YetkWB8EuwM4jLFJ
Z/qxjpj0hT4j9AMLiw4IVmS4qrD6c8ndwB3M4/MAaUwdrQWOBj6K8KhEShEueRub
DCjmf5k04cPmOSWu+gegWAqQUfhF5H3bLrEkUb3Fq1P5eXQ28+ZSagQpdCS/8CmP
gWGes+h9I1DeWJ6dWn0xk3bb3cE8CeSwr/vyeeaHNo+iGHE8GjqHQWB1l98KTkDk
1/gt9dK+lOrWAQQmGfbDvwZCdLS5VQ==
=Fmgq
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40236; Package guix-patches. Full text available.

Message received at 40236 <at> debbugs.gnu.org:


Received: (at 40236) by debbugs.gnu.org; 6 Apr 2020 20:42:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 06 16:42:21 2020
Received: from localhost ([127.0.0.1]:49267 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jLYZZ-00044H-6D
	for submit <at> debbugs.gnu.org; Mon, 06 Apr 2020 16:42:21 -0400
Received: from mout.web.de ([212.227.17.11]:54281)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonathan.brielmaier@HIDDEN>) id 1jLYZW-00043o-6g
 for 40236 <at> debbugs.gnu.org; Mon, 06 Apr 2020 16:42:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1586205730;
 bh=BGSzb7SC4WqWvbwOYg4jh1vCfTfbsWH1EX7KzgZwt2Y=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=lFDKhVOZusvA6fB5CtKIfw28VZMNZiCFjroeBM+ypLyNuM/TaRNAD+iR40RVGgOlq
 OPIS5mPlJAJ/6oEssVcRrd1T2VfWvOw23uTExdhY1TBvkrT5Rlb89rA/HiBB2+Hy+g
 D3v9Z6KAAzl+QPa3wAwtPMwgWn+d8JO3vBXDHK9k=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from [192.168.178.119] ([5.146.193.216]) by smtp.web.de (mrweb103
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0Lm4hJ-1ilwpv18Yj-00Zjwi; Mon, 06
 Apr 2020 22:42:10 +0200
Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead
 of ext4 for root partition.
To: Pierre Neidhardt <mail@HIDDEN>,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>, =?UTF-8?Q?Ludovic_Court=c3=a8s?=
 <ludo@HIDDEN>
References: <20200326083524.20275-1-mail@HIDDEN>
 <87h7y5z3x0.fsf@HIDDEN> <87lfnesxp6.fsf@HIDDEN>
 <87pncqbbp5.fsf@HIDDEN> <87zhbuqpns.fsf@HIDDEN>
 <87y2rc6nuk.fsf@HIDDEN> <87r1x0welb.fsf@HIDDEN>
From: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
Message-ID: <c9bde2d4-01ba-4827-f667-05b83d66d66e@HIDDEN>
Date: Mon, 6 Apr 2020 22:42:09 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.6.0
MIME-Version: 1.0
In-Reply-To: <87r1x0welb.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: de-DE
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:nDVfsBHsxZcleix+Nd3y6RdhCPxneeAw7n4kTXr/SjdIhv+aqi2
 sYxgxikptwJ+z5djKuLflekhR/Lj66J920sVV3W9EaUSDKXZm0U1NV/mbgKdAdAs7qYbSZf
 jnmz89T6QgbYRSkVyVxEZUrPBE4d6WKXwVonkmjwFi9u2XWZD9FP6UVWafjko4PETWSQZ2T
 swjdtNA9gj094HoQXZiTw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:UlyCgeGePKw=:QMZHs8Zxh7WyWro2Inh/L8
 nzKGv46UgXcUQrB8LTsY1LrCixNi8yfknmuWqk3VVxNyQHBcH/iza63OHOjYNG39wDjrbtOPf
 Bt7Of9tFyB3iMH+2gAhRLJMGT5RjtNjFn+uY4R/9UsP+L7sAIIK4cSFm+DJLzwtOXXwWoR1I0
 V8MTJ8OaqodhYHKKBQquSC3OAP0vPyk04co6ofCAS1kRLT/BztgvIdBsSHJFUZTIyPh0BxSHG
 D04t15yvV9ge++zmn9ZWaOggKlShJWuIVrVmgSivsNXytwHSTLfageV0gKvulWcH0ptmsHjBk
 lzponMYP/V1ETvCPLJZ6rcYT4QGGMyN60G6irFVrcrPPiakGkmGdWaBNIH092+RtiaGCSF0Jo
 mEuYS0T7zBYcg+mE9kLZ9xip8jbY3yUkuC0GeaRUFAuuybqpYuevBEELHWLVoRvm3pdLSLl7d
 zPwFUNhge1JKTfl6PwwluVNGFqbmvD8jaZQxmdNWCg4RJ3LikBu3CYm96IExejlznuDc0Qwrz
 1M319khDLACYQjgUdOWNXO9j1qCi5Oj1YS45MCRTXr5CgJp5MVgBJH20rCfUH+fn0hv68sjB9
 UKv8XpYoI1xDVQosfszgQu+a8XjCxJbCYfm+dh86dVigXlAtK2rC3K/bO4h1+UeWnbHDIW+DG
 xHVAnG/Pi2VClfTMrkQXkPJimiUbKyQ/Qj2z3+PNxSI1vWxjHvTQw63Gq0CjhJJChAff+siH4
 aA6ZNJ9yMVSt9l7j0w2z78QzOImcMyzALxNz5JKD/o8x706YTEykc7P4Rcamn+/CqCANBVokt
 c0yjV9GQfYx4AeykdId1TMee3h6RlF+VCjRvxZBaqKVdwOKUaSHTZ1nHXn6eamd9H64XGgcC1
 gG2KztQW4ac0KBq2LPO9Mj4+R0oy1V1RoYkapwks3rPBm8GJf9SbZZuQun+xEBdrP8aTfIENE
 V65qHZprBJHaTRYg1D/l9vgw6+eH23IWDeNPOCfDAW0kuewMZeakQJW4PTDCrn+wEm+57d+s1
 lUWjtIc7PC0vKgfE6XS3obMMT5+OJwXbR62/vTVJE1+pcCfHsClWUFOC8UPTU3nG64t3pishb
 fJuJi0n98vNlhaoTz3Le1jjHUE1b8/C2gSgNo4wZQ0y3zSdYAeuJSk++HZ48iKHVWnOKM4aUK
 d+ExHtcuI0vs0uNSL8nNpMN56ZCNC9jCy+Atq2oncU3bXfMLP8obP2gFW0oAd1gNgnOweGSxA
 QyskJwAJzDT0oLE61
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40236
Cc: 40236 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 06.04.20 22:20, Pierre Neidhardt wrote:> Jonathan Brielmaier wrote on
Tue Mar 31 14:09:04+0200 2020
>>> * gnu/system/examples/desktop.tmpl: Adjust root file-system to use Btr=
fs.
>>
>> I would oppose this change as I had too much troubles with Btrfs on my
>> openSUSE machines. I used a simple partition layout spanning the whole
>> disk. AFAIK this is not really recommended with btrfs. My laptop was
>> from time to time unusable until I reinstalled it with ext4...
>
> This is for Guix System only.  Did you mean that it would be problematic
> if you were running openSUSE in dual boot?

No, I did run openSUSE on btrfs, there was no Guix involved at all. But
btrfs seemed to be the root case of all my troubles (performance,
hang-ups etc).

>> Further do we need all this rollback stuff from btrfs if we have it
>> already in Guix?
>
> Btrfs has many benefits over Ext3:
>
> it offers compression to about 30% on average, it supports subvolumes,
> snapshots and snapshot syncing, and much more.

Snapshots did fill up my disk. I had no use for them on my laptop. On a
Guix System even less, because you have rollbacks from the package
manager :)

> For all these reasons I believe Btrfs is a good default for the OSes of =
tomorrow! :)

So maybe create a config for the OSes of tomorrow: btrfs, wireguard,
rust etc :P




Information forwarded to guix-patches@HIDDEN:
bug#40236; Package guix-patches. Full text available.

Message received at 40236 <at> debbugs.gnu.org:


Received: (at 40236) by debbugs.gnu.org; 6 Apr 2020 20:20:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 06 16:20:59 2020
Received: from localhost ([127.0.0.1]:49258 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jLYEt-0002yE-5r
	for submit <at> debbugs.gnu.org; Mon, 06 Apr 2020 16:20:59 -0400
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:36895)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jLYEr-0002xk-3i
 for 40236 <at> debbugs.gnu.org; Mon, 06 Apr 2020 16:20:58 -0400
X-Originating-IP: 78.199.129.170
Received: from mimimi (moi44-1-78-199-129-170.fbx.proxad.net [78.199.129.170])
 (Authenticated sender: mail@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPSA id E1F7C40006;
 Mon,  6 Apr 2020 20:20:49 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>, Ludovic =?utf-8?Q?Court?=
 =?utf-8?Q?=C3=A8s?= <ludo@HIDDEN>, Jonathan Brielmaier
 <jonathan.brielmaier@HIDDEN>
Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead
 of ext4 for root partition.
In-Reply-To: <87y2rc6nuk.fsf@HIDDEN>
References: <20200326083524.20275-1-mail@HIDDEN>
 <87h7y5z3x0.fsf@HIDDEN> <87lfnesxp6.fsf@HIDDEN>
 <87pncqbbp5.fsf@HIDDEN> <87zhbuqpns.fsf@HIDDEN>
 <87y2rc6nuk.fsf@HIDDEN>
Date: Mon, 06 Apr 2020 22:20:48 +0200
Message-ID: <87r1x0welb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi Jonathan, For some reason I did not receive your email:
 Jonathan Brielmaier wrote on Tue Mar 31 14:09:04+0200 2020 > > *
 gnu/system/examples/desktop.tmpl:
 Adjust root file-system to use Btrfs. > > I would oppose this change as I
 had too much troubles with [...] 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.194 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [217.70.183.194 listed in wl.mailspike.net]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 40236
Cc: 40236 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi Jonathan, For some reason I did not receive your email:
    Jonathan Brielmaier wrote on Tue Mar 31 14:09:04+0200 2020 > > * gnu/system/examples/desktop.tmpl:
    Adjust root file-system to use Btrfs. > > I would oppose this change as I
    had too much troubles with [...] 
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.183.194 listed in list.dnswl.org]
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [217.70.183.194 listed in wl.mailspike.net]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hi Jonathan,

For some reason I did not receive your email:

Jonathan Brielmaier wrote on Tue Mar 31 14:09:04+0200 2020
> > * gnu/system/examples/desktop.tmpl: Adjust root file-system to use Btrf=
s.
>=20
> I would oppose this change as I had too much troubles with Btrfs on my
> openSUSE machines. I used a simple partition layout spanning the whole
> disk. AFAIK this is not really recommended with btrfs. My laptop was
> from time to time unusable until I reinstalled it with ext4...

This is for Guix System only.  Did you mean that it would be problematic
if you were running openSUSE in dual boot?

> Further do we need all this rollback stuff from btrfs if we have it
> already in Guix?

Btrfs has many benefits over Ext3:

it offers compression to about 30% on average, it supports subvolumes,
snapshots and snapshot syncing, and much more.

For all these reasons I believe Btrfs is a good default for the OSes of tom=
orrow! :)

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl6LjyAACgkQm9z0l6S7
zH+KFAf7BmPRB+W+twjyyCtOzYZ2tX5PIOlMfuiZcSjyyjGPNsadMtjA+QDN3ibX
jD/rgMx9aE18p4fwcdJXsnOeNNQX+aYcwzffD7tz0kGmTqcy4+veZichTnP7Xz+j
1Ry63J0Sawfu2X5HKEy0NtmnHJa0k4uxnUZMAKDOAUZSYhfzXjmtHMBK0MIYVi7Y
XvnNlGLGKnQDYnsLvfxYcpk6LOcCLYCk49306+WicyZR/KCeBbhzDDnvqyniMw8e
Wu1erIpuD+kWDrpazDnSA7tvL0n8Uj8bUmcNxuO6ifddCmeVjZjj2WSLxzEVX3KW
i891BgaZRUmQymfrn3UiH9BZ9mN6rw==
=Qg+i
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40236; Package guix-patches. Full text available.

Message received at 40236 <at> debbugs.gnu.org:


Received: (at 40236) by debbugs.gnu.org; 4 Apr 2020 01:28:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 03 21:28:44 2020
Received: from localhost ([127.0.0.1]:43360 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jKXc4-0001U1-HU
	for submit <at> debbugs.gnu.org; Fri, 03 Apr 2020 21:28:44 -0400
Received: from mail-qk1-f194.google.com ([209.85.222.194]:36118)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1jKXc3-0001TP-0C
 for 40236 <at> debbugs.gnu.org; Fri, 03 Apr 2020 21:28:43 -0400
Received: by mail-qk1-f194.google.com with SMTP id l25so2157420qkk.3
 for <40236 <at> debbugs.gnu.org>; Fri, 03 Apr 2020 18:28:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=HwWmeQ/ElQN+ENURLY35i0mhWFfVNjq3FKAAfIzoQBM=;
 b=Euj2QMMW9BMq65OaJUJcE82s8M2E28vj1LyHaOMpvzZKpzfpq0+1H3+T5OFiwxYfd4
 IcHIGh8VgaHXmvGtlqcfMinkxzRcGuXyyGvXvn2403wXsow28ehlVCnYF9U15abab2a1
 i0cKMQmy6Th87gBVzdoC6mxpikb2jz61OO/e8qmIJp4W1b+smM6B6LCdbKFqbS+pxaO8
 UW787/pR8Xzr3CbIsqLh5fRhSz8adnBc8YT3x8DnZEAFUUVckjzY7t0laqf+0HpbY+hg
 HngvfTcTIUxOVjpWIVai6QnZSOSzeC+DVZPss0gkytcmy9S6aYw8nq6y7+WIE9gQayRb
 tpLw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=HwWmeQ/ElQN+ENURLY35i0mhWFfVNjq3FKAAfIzoQBM=;
 b=pr10ev6EtgKZe4TT6oYUJ/2klYUNnOPjv2amcLJt8s7O+HTTjZ7I5qW/Z420jj3DMD
 fSQrzDj3aPO0cYUuZIJ6VSD8qF1PsRBF9vDja+j/K9vejdRQu9VkpdWYfGulQ6POdIJb
 +Z3n/XTX1cpk9Rc0kz55zxoleJArOMoyIFX1nafACaE4pCfpGu4hEFkom1u/jWZLk5WP
 oFnBnbuOlSIUDbAptQdMIwj+QCBQoEF8n0UB9zV+9b07PtxUIi4PPRqHCthRROw/lfmS
 uBYmn+tqstbcPmF6jH/SPG9THguLJL7AwMi2MvtPcD5Es8skIZ8e3FmFqCapiTJOziYK
 AQsA==
X-Gm-Message-State: AGi0PubfCUPrGY/SFDIoMd//di/fPDvN+Q8AcyZ8uM2GYquWPbmDCDkP
 wJP2wXLusXbUBIH7IoIKDw1kh7ns
X-Google-Smtp-Source: APiQypJChh5Mu7qMuX+FSHWdGgvC+BX88s0qw1Xj0OGoeVG3Pz4d3XQXuT0IY8X3i22tui3xx9889Q==
X-Received: by 2002:a37:a281:: with SMTP id
 l123mr12223918qke.438.1585963717246; 
 Fri, 03 Apr 2020 18:28:37 -0700 (PDT)
Received: from hurd (dsl-10-146-110.b2b2c.ca. [72.10.146.110])
 by smtp.gmail.com with ESMTPSA id l42sm8482081qtf.51.2020.04.03.18.28.35
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 03 Apr 2020 18:28:36 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead
 of ext4 for root partition.
References: <20200326083524.20275-1-mail@HIDDEN>
 <87h7y5z3x0.fsf@HIDDEN> <87lfnesxp6.fsf@HIDDEN>
 <87pncqbbp5.fsf@HIDDEN> <87zhbuqpns.fsf@HIDDEN>
Date: Fri, 03 Apr 2020 21:28:35 -0400
In-Reply-To: <87zhbuqpns.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Thu, 02 Apr 2020 10:04:39 +0200")
Message-ID: <87y2rc6nuk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hello, Ludovic Courtès writes: > Hi, > > Pierre Neidhardt
    skribis: > >> Ludovic Courtès writes: >> >>> Also, the installer defaults
    to ext4 and that’s probably a more tested >>> configuration currently.
   >> >> Could a subvolu [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ambrevar.xyz]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (maxim.cournoyer[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.222.194 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.3 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.222.194 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 40236
Cc: 40236 <at> debbugs.gnu.org, Pierre Neidhardt <mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Hello,

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hi,
>
> Pierre Neidhardt <mail@HIDDEN> skribis:
>
>> Ludovic Court=C3=A8s <ludo@HIDDEN> writes:
>>
>>> Also, the installer defaults to ext4 and that=E2=80=99s probably a more=
 tested
>>> configuration currently.
>>
>> Could a subvolume-less Btrfs be more problematic than ext4?
>> If not, it might be a good idea to also switch to Btrfs in the installer.
>
> I think it=E2=80=99s more work than just switching: we have to do enough
> testing, add new automated tests, etc.

Fine points.

> Also, any change in this area should happen post-release.  :-)

Agreed!

Let's keep this issue open and revisit what extra tests and validation
should be done after the release to consider a switch viable.

Maxim




Information forwarded to guix-patches@HIDDEN:
bug#40236; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Apr 2020 10:36:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 02 06:36:37 2020
Received: from localhost ([127.0.0.1]:39244 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jJxDB-0007Pw-6R
	for submit <at> debbugs.gnu.org; Thu, 02 Apr 2020 06:36:37 -0400
Received: from lists.gnu.org ([209.51.188.17]:49573)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonathan.brielmaier@HIDDEN>) id 1jJxD9-0007Pk-CW
 for submit <at> debbugs.gnu.org; Thu, 02 Apr 2020 06:36:35 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:39296)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <jonathan.brielmaier@HIDDEN>) id 1jJxD8-0004Kr-6b
 for guix-patches@HIDDEN; Thu, 02 Apr 2020 06:36:35 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.2 required=5.0 tests=BAYES_05,FREEMAIL_FROM,
 RCVD_IN_DNSWL_LOW autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jonathan.brielmaier@HIDDEN>) id 1jJxD7-0004pB-AU
 for guix-patches@HIDDEN; Thu, 02 Apr 2020 06:36:34 -0400
Received: from mout.web.de ([212.227.15.3]:55931)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jonathan.brielmaier@HIDDEN>)
 id 1jJxD6-0004nk-UB
 for guix-patches@HIDDEN; Thu, 02 Apr 2020 06:36:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1585823790;
 bh=j0iIuzgxdokLfAjoam9h+44qkD4OuB2ghf7C/NrzIKg=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=OQ6FOPt7d5eztxTISYZvD8CHncQGHes2TMGLFT/YkemexhvGVx7zYzGdWhjxHIFO+
 WEi7Q3qyW5Tzeu6WIiosoYtBIz17eXtyoKCMoppib91ZrON9RhgkSQV7LXm6BC1TD6
 Gi/0IykD8nb7buJVaAT5P47gVsgoxOHxoiO6dBMQ=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from [192.168.178.119] ([5.146.193.216]) by smtp.web.de (mrweb003
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0M7KOE-1j61Um2IAo-00x4qv for
 <guix-patches@HIDDEN>; Thu, 02 Apr 2020 12:36:30 +0200
Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead
 of ext4 for root partition.
To: guix-patches@HIDDEN
References: <20200326083524.20275-1-mail@HIDDEN>
 <87h7y5z3x0.fsf@HIDDEN> <87lfnesxp6.fsf@HIDDEN>
 <87pncqbbp5.fsf@HIDDEN> <87zhbuqpns.fsf@HIDDEN>
From: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
Message-ID: <17b2d82a-a18d-5a2b-f194-6e00890802be@HIDDEN>
Date: Thu, 2 Apr 2020 12:36:29 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.6.0
MIME-Version: 1.0
In-Reply-To: <87zhbuqpns.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-GB
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:TmgOzzVyOo/wvSRo8hAP2R30sMI/eyfCxQqwr6+7K6jXsTiNdNV
 bRf8YGR/LXSOIdyxnmAt4m+NELlgj2JJCu8oQdj3SEUe/FnD4Q5u2DSQBGDpwHNhxh9/3iR
 4r60TpGBI7r04Mbdj7nmU7NY+dKuXMY+YPnojhH81sW/M3+c6TAW/EMLlZWOuWIRD90RIM1
 LCgsSaZ0Bbjxf3GqM9uJQ==
X-UI-Out-Filterresults: notjunk:1;V03:K0:nKbTdxE3meE=:jEvnQ5irgybFIgGiRu0TpX
 3h+3qVV1pUQKxYC8nEX9Vdym8SGsFn9wBqRQ8WWRTluhEr6MphD6tcAJPHVIQwKwdNpIzxyRK
 yDdF61e8ets66dVayj6/td8Zxbas7K9GvzwmTzeLNPwdM6RzYvSLE8tWJZRzQnsET1l2QBuGR
 GTCLW4heyCMyvvA+ZNGia6TXSJ6RBqze34FxfYGlBjkya6mCzudCDQJiXgdwOcw+n2fMbr4eg
 8y0huDc5beYACyUFiUWj96PWpQnhI6Dv2Z9Ps10b/yBmKxm9DDbPp/NX7p+CFmljlBRdI0/Fl
 4myOdCKCfGUunJUQ1R4AOlcYnnEZdaTNHzQfTSbyG/V3q3Bpx5rdh/9DWfMU8jDASkbaS2wx1
 YqyEJ8x7qKGBMqiaCnGFb2neWRyCuBoJIGRJrYYiQvUyYX9/cudI2acX6wmJlUAUBN7T2lqO+
 XBw1gDdm9BmDHbSiIq1gPhcjLBop4KGRQtHRWyCKO4RuHQpOZ/5ivWJAst8h6KBoVeU5QsdPa
 ZK4+vXwq1zR7LVh3QTFehvlx/DMSfNX/jLDFbo0wikaAhaO4kntjo6ib7yNeS1tXrVSCk4BaO
 JXr1cnWqjPKwm6M6jz5xvaiMDkiIv1jzUI2IynX0xYuaGE4T9W9ndcBlhi3i9FgpQTRuI7L83
 essZJtqNPyB3eQg/rXSgd7uHoKoqOiDje4Xrqu5mryRQYW8N/G9niOedZNOb49scB68SiVh2m
 P+01x73x/xdA3kxIL7RldpXPI68TZhAxucrPoVuCcLTHwhCoqJ1NzyC2AQHZna3Lciqu1hxbV
 QjwdXZlrfuMlZ/tqSP82nFvAMj8boOonh1qjIPg62/RyIsThBC7WEvQiH2jTuWUDhsYAofFqZ
 OCmWKBizIvm3gr3IhLuny/dYXWcWajF64xbCjEfpqqwe6B3nYWEMarEK6mUz+8RcS6q6spSrf
 azXPNq+MKHaI6Rhk3+5pr5xXdcN+PCQ+ffrw2+p/08ELNtfUqbevme21PA9IavF7ixbVaOAgQ
 UUkEMP0bMEz8EpXWUSxuqbLvz95ia3gGKguW0MKQXvPs2x1nxWyRVj8zdnEVMiKKN0mMDGwze
 p/5ED/JdUzjnEImGM0Fq7Pg8IJ6K0usKcYYQRcEZioQfxewv2z8KYGgDEyUw5c48wjVNASbYB
 KvvHeOmVOLMS7gbAddeBmTpQVcRruXUuOKY80ktA5iiUACipwL33D4+IMgCSo+wDVWJUrFZdC
 P2gfvfzxmhAEBRlJ/voY2eDlwbi03FGRMZvFZ6A==
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 212.227.15.3
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

On 02.04.20 10:04, Ludovic Court=C3=A8s wrote:
>>> Also, the installer defaults to ext4 and that=E2=80=99s probably a mor=
e tested
>>> configuration currently.
>>
>> Could a subvolume-less Btrfs be more problematic than ext4?
>> If not, it might be a good idea to also switch to Btrfs in the installe=
r.
>
> I think it=E2=80=99s more work than just switching: we have to do enough
> testing, add new automated tests, etc.
>
> Also, any change in this area should happen post-release.  :-)

Why not adding a gnu/system/examples/btrfs.tmpl in the mean time. There
you could showcase all the stuff btrfs can do for us :)




Information forwarded to guix-patches@HIDDEN:
bug#40236; Package guix-patches. Full text available.

Message received at 40236 <at> debbugs.gnu.org:


Received: (at 40236) by debbugs.gnu.org; 2 Apr 2020 08:04:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 02 04:04:49 2020
Received: from localhost ([127.0.0.1]:39108 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jJuqH-0007Tx-AR
	for submit <at> debbugs.gnu.org; Thu, 02 Apr 2020 04:04:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47242)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jJuqG-0007Th-9o
 for 40236 <at> debbugs.gnu.org; Thu, 02 Apr 2020 04:04:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51917)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1jJuqA-0004WB-J9; Thu, 02 Apr 2020 04:04:42 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=55524 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jJuqA-0005j9-3o; Thu, 02 Apr 2020 04:04:42 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead
 of ext4 for root partition.
References: <20200326083524.20275-1-mail@HIDDEN>
 <87h7y5z3x0.fsf@HIDDEN> <87lfnesxp6.fsf@HIDDEN>
 <87pncqbbp5.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 14 Germinal an 228 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 02 Apr 2020 10:04:39 +0200
In-Reply-To: <87pncqbbp5.fsf@HIDDEN> (Pierre Neidhardt's message of
 "Thu, 02 Apr 2020 09:15:18 +0200")
Message-ID: <87zhbuqpns.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 40236
Cc: 40236 <at> debbugs.gnu.org, Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

Hi,

Pierre Neidhardt <mail@HIDDEN> skribis:

> Ludovic Court=C3=A8s <ludo@HIDDEN> writes:
>
>> Also, the installer defaults to ext4 and that=E2=80=99s probably a more =
tested
>> configuration currently.
>
> Could a subvolume-less Btrfs be more problematic than ext4?
> If not, it might be a good idea to also switch to Btrfs in the installer.

I think it=E2=80=99s more work than just switching: we have to do enough
testing, add new automated tests, etc.

Also, any change in this area should happen post-release.  :-)

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#40236; Package guix-patches. Full text available.

Message received at 40236 <at> debbugs.gnu.org:


Received: (at 40236) by debbugs.gnu.org; 2 Apr 2020 07:15:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 02 03:15:29 2020
Received: from localhost ([127.0.0.1]:39068 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jJu4X-0004iE-NC
	for submit <at> debbugs.gnu.org; Thu, 02 Apr 2020 03:15:29 -0400
Received: from relay11.mail.gandi.net ([217.70.178.231]:43289)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jJu4W-0004hi-5c
 for 40236 <at> debbugs.gnu.org; Thu, 02 Apr 2020 03:15:29 -0400
Received: from mimimi (moi44-1-78-199-129-170.fbx.proxad.net [78.199.129.170])
 (Authenticated sender: mail@HIDDEN)
 by relay11.mail.gandi.net (Postfix) with ESMTPSA id DA6ED100013;
 Thu,  2 Apr 2020 07:15:19 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, Maxim Cournoyer
 <maxim.cournoyer@HIDDEN>
Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead
 of ext4 for root partition.
In-Reply-To: <87lfnesxp6.fsf@HIDDEN>
References: <20200326083524.20275-1-mail@HIDDEN>
 <87h7y5z3x0.fsf@HIDDEN> <87lfnesxp6.fsf@HIDDEN>
Date: Thu, 02 Apr 2020 09:15:18 +0200
Message-ID: <87pncqbbp5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Ludovic Courtès <ludo@HIDDEN> writes: > Also, the installer
    defaults to ext4 and that’s probably a more tested > configuration currently.
    Could a subvolume-less Btrfs be more problematic than ext4? If not, it might
    be a good idea to also switch to Btrfs in the installer. 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.178.231 listed in list.dnswl.org]
  1.5 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 40236
Cc: 40236 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Ludovic Courtès <ludo@HIDDEN> writes: > Also, the installer
    defaults to ext4 and that’s probably a more tested > configuration currently.
    Could a subvolume-less Btrfs be more problematic than ext4? If not, it might
    be a good idea to also switch to Btrfs in the installer. 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.178.231 listed in list.dnswl.org]
  1.5 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Also, the installer defaults to ext4 and that=E2=80=99s probably a more t=
ested
> configuration currently.

Could a subvolume-less Btrfs be more problematic than ext4?
If not, it might be a good idea to also switch to Btrfs in the installer.

I've tested Btrfs with Zstd:3 compression on a new GNOME + EXWM install:
I've achieved a stunning 30% compression like Maxim.
I must say that it's extremely useful, if not necessary, on a 60GiB SSD... =
:D

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEyBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl6FkQYACgkQm9z0l6S7
zH9BRAf3Y4mjvrWwbe+Gc9AKOPqFT1HU48ChERkW024J4KXU8ABJnMKsE2tI0T7f
FdpjTjRpzcYS8vmFMJTUlGSn4WaWAMTcZBWGGKebn0R59GdD2bh5brNXTRWy1Lsf
LFQyxZO0eotRIshIqYomS3Uk6gSwl8AbfvaBM1bG2ldztYzwUwuSGcf8jJJBGo1m
Ivqdtdjx2DeXpKZKi2j6AFDoJPP5MLRp9LsV2l7AGot9F2/CpNtdZQkiUvQqgGno
Er7tX7cm27omJU7+xMMzknmqynauSJsdS0d9EyVenYze44D3X8INQiJXKEDwdhVR
8UTsUQvVWYuNnR6EqqXLbbv0xSie
=yP4m
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40236; Package guix-patches. Full text available.

Message received at 40236 <at> debbugs.gnu.org:


Received: (at 40236) by debbugs.gnu.org; 1 Apr 2020 21:28:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 01 17:28:16 2020
Received: from localhost ([127.0.0.1]:38788 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jJkuF-0003nT-OT
	for submit <at> debbugs.gnu.org; Wed, 01 Apr 2020 17:28:15 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53064)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jJkuE-0003n5-L2
 for 40236 <at> debbugs.gnu.org; Wed, 01 Apr 2020 17:28:14 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41384)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1jJku8-0003QR-FC; Wed, 01 Apr 2020 17:28:08 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=53832 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jJku6-0004gA-Vc; Wed, 01 Apr 2020 17:28:07 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead
 of ext4 for root partition.
References: <20200326083524.20275-1-mail@HIDDEN>
 <87h7y5z3x0.fsf@HIDDEN>
Date: Wed, 01 Apr 2020 23:28:05 +0200
In-Reply-To: <87h7y5z3x0.fsf@HIDDEN> (Maxim Cournoyer's message of "Mon, 30
 Mar 2020 21:52:43 -0400")
Message-ID: <87lfnesxp6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40236
Cc: 40236 <at> debbugs.gnu.org, Pierre Neidhardt <mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi!

Maxim Cournoyer <maxim.cournoyer@HIDDEN> skribis:

> I've marked this blocked by 37305, which includes GRUB support for
> booting from a subvolume as well as documentation about Btrfs usage in
> Guix.

Also, the installer defaults to ext4 and that=E2=80=99s probably a more tes=
ted
configuration currently.

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#40236; Package guix-patches. Full text available.

Message received at 40236 <at> debbugs.gnu.org:


Received: (at 40236) by debbugs.gnu.org; 1 Apr 2020 07:00:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 01 03:00:27 2020
Received: from localhost ([127.0.0.1]:37385 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jJXMQ-0007a6-Sb
	for submit <at> debbugs.gnu.org; Wed, 01 Apr 2020 03:00:27 -0400
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:49129)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jJXMN-0007ZF-UY
 for 40236 <at> debbugs.gnu.org; Wed, 01 Apr 2020 03:00:24 -0400
X-Originating-IP: 78.199.129.170
Received: from mimimi (moi44-1-78-199-129-170.fbx.proxad.net [78.199.129.170])
 (Authenticated sender: mail@HIDDEN)
 by relay8-d.mail.gandi.net (Postfix) with ESMTPSA id 7A46E1BF212;
 Wed,  1 Apr 2020 07:00:15 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead
 of ext4 for root partition.
In-Reply-To: <87tv24w1ql.fsf@HIDDEN>
References: <20200326083524.20275-1-mail@HIDDEN>
 <87h7y5z3x0.fsf@HIDDEN> <87lfnga83c.fsf@HIDDEN>
 <87tv24w1ql.fsf@HIDDEN>
Date: Wed, 01 Apr 2020 09:00:14 +0200
Message-ID: <87y2rf8zcx.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes: >> By
 the way in your patch you did not document the syntax (options >>
 "subvol=...").
 > > Are you sure you are looking at the right patch series >
 (https://issues.guix.info/issue/37305#16)? I documen [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: guix.info]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.201 listed in list.dnswl.org]
 1.5 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 40236
Cc: 40236 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes: >> By
   the way in your patch you did not document the syntax (options >> "subvol=...").
    > > Are you sure you are looking at the right patch series > (https://issues.guix.info/issue/37305#16)?
    I documen [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: guix.info]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.183.201 listed in list.dnswl.org]
  1.5 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes:

>> By the way in your patch you did not document the syntax (options
>> "subvol=3D...").
>
> Are you sure you are looking at the right patch series
> (https://issues.guix.info/issue/37305#16)? I documented usage examples
> for a root file system using Btrfs subvolumes.

I was looking at the wrong patch indeed, sorry about that! :)

>> Is it supported nonetheless in your patch?
>
> Yes.
>
>> Is it supported in current Guix?
>
> Not currently; the patch set is in review :-).  I have it running on 3
> machines and there's a system test which shows it working as well, so
> don't be afraid to try it!

Does this go on master or core-updates?
Does it rebuild the world?
I don't have much hardware to build anything at the moment, so I can only t=
est
this if it's a small build ;)

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl6EO/4ACgkQm9z0l6S7
zH94lQf+NhcqI68fQ04n/FcrzNbAzWzbHdMjV7SW5lqpbpMXLfktQaaSmNTS3tIO
zbZ4atT4DlmWEdU7bXHLlEouc9gFpKouY89MOTHA7uIsjOWEj90D5UJzz2qO55rS
1O3wjbncSKHe2ydtnSJ2XzeFe/+/PnedpbPmfpiXdopJbhFbYsMxLsaMbeDx3R9T
F9kYWknDiROcWd+11ZxBWEnJk58MARAeuFfJb87UAlrWCNm5oECm5E47Ch8RYYp1
yKXeJneiIpB2fifn0DeKAIBMyGKUEIhjEZtxJJPJOiHhhXZ4elvTtgqSCgYLFMRe
7va3s97e+X2u/Ys67XU2JxSwfhIzpg==
=wHLf
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40236; Package guix-patches. Full text available.

Message received at 40236 <at> debbugs.gnu.org:


Received: (at 40236) by debbugs.gnu.org; 31 Mar 2020 23:20:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 31 19:20:27 2020
Received: from localhost ([127.0.0.1]:37221 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jJQBH-0004du-1p
	for submit <at> debbugs.gnu.org; Tue, 31 Mar 2020 19:20:27 -0400
Received: from mail-qt1-f194.google.com ([209.85.160.194]:44730)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1jJQBF-0004di-LP
 for 40236 <at> debbugs.gnu.org; Tue, 31 Mar 2020 19:20:26 -0400
Received: by mail-qt1-f194.google.com with SMTP id x16so20079372qts.11
 for <40236 <at> debbugs.gnu.org>; Tue, 31 Mar 2020 16:20:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=XnkoP6IaE9kLSnhKQ5ovYP7LtBP+TjDGe7RX5AjD4+w=;
 b=AJkzUowZ5NnpktqVuZW/XPi6L6pUetuRH0N0uS9s7rlc3vIGJMNfise9+XWNt3j628
 e1FafQVrrhxQmO0COkG5prD51uQMXb6oSLrO3Qx/tOkE/W96G62kDy3XkrtyXdcAiKmp
 QrHvXHx6OpRdAv7NUusrDu3KPnavU6mSPwy2HhslP4FJ0dOALH/06z+e1faOHqGgFLIB
 nEXwfY3c1qGky1I4VQrHh6ZvCdVXH7sjpiFi4xHKqSc99/nhHbSK1MncxBUOnp13Nshy
 a2wUh6OZyi5Bjds6VDyEPL7BszJd51u/ZCfZkPxRNkXyLDwr6AB+uExeJwJIJMmrR/ZT
 uuLg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=XnkoP6IaE9kLSnhKQ5ovYP7LtBP+TjDGe7RX5AjD4+w=;
 b=CtpYpZSLlwxd9VLw82rK/7rnzWvsjZbosS41Y+ix2FEh547IcpKBrJfR9RYdJoTEc+
 c3z3HLltChOEVv9IWCfCSAq0TDadP+HRfxgazv0YEvtxBZt2R6K0qesVAnDtoRP8z+HM
 x+Asp5JuwPFA6PhtFnlIO9PYKEKrNW0oYVzASLlcHtHEHqRJYqzSTyNdXVfGjnhXpY24
 q5JeVQlE6Dxk6DdL37xLdKI82Zdp/RV8EKNlpz3D35pxuHhdg7XpIT+Fn+EuSm76+czQ
 KO+oz4J01fSq6K7UqN0RdDhP4VauuiEsoGCObfe1kj9nZFFykn7T0zKI3G/dkQY+91XO
 ggnQ==
X-Gm-Message-State: ANhLgQ2wjeZE+G8n35kckvuMt9M3hVIGnwyz5mIc23aL2X6cB4zLEdDK
 KyA4YpA8xQlqR95wwk71og4pGi0tftfdBA==
X-Google-Smtp-Source: ADFU+vvBNOcPRQFjnf35WuBfXrJmr/wc0ulNVKZY2y1ZGwUUsE9s0UOnyZQ1aZClRCbGHhH52q4ERw==
X-Received: by 2002:ac8:3757:: with SMTP id p23mr7892144qtb.274.1585696819881; 
 Tue, 31 Mar 2020 16:20:19 -0700 (PDT)
Received: from hurd (dsl-159-222.b2b2c.ca. [66.158.159.222])
 by smtp.gmail.com with ESMTPSA id s63sm300170qkh.64.2020.03.31.16.20.19
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 31 Mar 2020 16:20:19 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead
 of ext4 for root partition.
References: <20200326083524.20275-1-mail@HIDDEN>
 <87h7y5z3x0.fsf@HIDDEN> <87lfnga83c.fsf@HIDDEN>
Date: Tue, 31 Mar 2020 19:20:18 -0400
In-Reply-To: <87lfnga83c.fsf@HIDDEN> (Pierre Neidhardt's message of
 "Tue, 31 Mar 2020 16:53:59 +0200")
Message-ID: <87tv24w1ql.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Hello Pierre! Pierre Neidhardt writes: > Maxim Cournoyer
 writes:
 > >>> (list (file-system >>> (device (file-system-label "my-root")) >>>
 (mount-point
 "/") >>> - (type "ext4") >>> + (type "btrfs") >>> + (options "subvol=rootfs,
 compress=zs [...] 
 Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.5 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (maxim.cournoyer[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.160.194 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.160.194 listed in wl.mailspike.net]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 40236
Cc: 40236 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

Hello Pierre!

Pierre Neidhardt <mail@HIDDEN> writes:

> Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes:
>
>>>                   (list (file-system
>>>                           (device (file-system-label "my-root"))
>>>                           (mount-point "/")
>>> -                         (type "ext4")
>>> +                         (type "btrfs")
>>> +                         (options "subvol=rootfs,compress=zstd")
>
> By the way in your patch you did not document the syntax (options
> "subvol=...").

Are you sure you are looking at the right patch series
(https://issues.guix.info/issue/37305#16)? I documented usage examples
for a root file system using Btrfs subvolumes.

> Is it supported nonetheless in your patch?

Yes.

> Is it supported in current Guix?

Not currently; the patch set is in review :-).  I have it running on 3
machines and there's a system test which shows it working as well, so
don't be afraid to try it!

Maxim




Information forwarded to guix-patches@HIDDEN:
bug#40236; Package guix-patches. Full text available.

Message received at 40236 <at> debbugs.gnu.org:


Received: (at 40236) by debbugs.gnu.org; 31 Mar 2020 14:54:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 31 10:54:10 2020
Received: from localhost ([127.0.0.1]:36788 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jJIHK-0006Ty-EI
	for submit <at> debbugs.gnu.org; Tue, 31 Mar 2020 10:54:10 -0400
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:39725)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jJIHI-0006TQ-3J
 for 40236 <at> debbugs.gnu.org; Tue, 31 Mar 2020 10:54:09 -0400
X-Originating-IP: 78.199.129.170
Received: from mimimi (moi44-1-78-199-129-170.fbx.proxad.net [78.199.129.170])
 (Authenticated sender: mail@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id E19E260002;
 Tue, 31 Mar 2020 14:54:00 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead
 of ext4 for root partition.
In-Reply-To: <87h7y5z3x0.fsf@HIDDEN>
References: <20200326083524.20275-1-mail@HIDDEN>
 <87h7y5z3x0.fsf@HIDDEN>
Date: Tue, 31 Mar 2020 16:53:59 +0200
Message-ID: <87lfnga83c.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes: >> (list
 (file-system >> (device (file-system-label "my-root")) >> (mount-point "/")
 >> - (type "ext4") >> + (type "btrfs") >> + (options "subvol=rootfs,
 compress=zstd")
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.195 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [217.70.183.195 listed in wl.mailspike.net]
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 1.5 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 40236
Cc: 40236 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes: >> (list
    (file-system >> (device (file-system-label "my-root")) >> (mount-point "/")
    >> - (type "ext4") >> + (type "btrfs") >> + (options "subvol=rootfs,compress=zstd")
    
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.183.195 listed in list.dnswl.org]
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [217.70.183.195 listed in wl.mailspike.net]
  1.5 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes:

>>                   (list (file-system
>>                           (device (file-system-label "my-root"))
>>                           (mount-point "/")
>> -                         (type "ext4")
>> +                         (type "btrfs")
>> +                         (options "subvol=3Drootfs,compress=3Dzstd")

By the way in your patch you did not document the syntax (options
"subvol=3D...").
Is it supported nonetheless in your patch?  Is it supported in current Guix?

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl6DWYcACgkQm9z0l6S7
zH+L3wf/TfmDXShfWADKzcTk4o0YrQkVam5So3vgiAxciCEP1/vybnEB4qW8W3Wg
XQxQikkpHkMBoagru/gg+06piUSzKPWkiqptmpTPef653nQu4JTzW//qV+YQeD+j
3I9ku/FvbDOvMy0KUELfrFyM0wq1YR4+5gYWaq7PX1dqdCCZhBWnyOn9vr1TYim4
8pRmIWYuTLsQouZCgL7cmWw7kiS7BcvGX/RjNxkpUp3fWcNhPWprt18E3EfuKGpE
cJKXyENvoUtO8N3UDeVNt+USJtjwNXfreRvCRRqFSs65vw2N3GpIZcLgNNF8JQxN
RyZ1g1nFjs9XGO2/qFU4E4yTPMYJ4Q==
=FFaY
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40236; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Mar 2020 12:09:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 31 08:09:11 2020
Received: from localhost ([127.0.0.1]:35686 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jJFhf-0008PM-4Q
	for submit <at> debbugs.gnu.org; Tue, 31 Mar 2020 08:09:11 -0400
Received: from lists.gnu.org ([209.51.188.17]:60738)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonathan.brielmaier@HIDDEN>) id 1jJFhd-0008PE-K8
 for submit <at> debbugs.gnu.org; Tue, 31 Mar 2020 08:09:09 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:32922)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <jonathan.brielmaier@HIDDEN>) id 1jJFhc-0007Jk-IG
 for guix-patches@HIDDEN; Tue, 31 Mar 2020 08:09:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.2 required=5.0 tests=BAYES_05,FREEMAIL_FROM,
 RCVD_IN_DNSWL_LOW autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jonathan.brielmaier@HIDDEN>) id 1jJFhb-0000No-Lo
 for guix-patches@HIDDEN; Tue, 31 Mar 2020 08:09:08 -0400
Received: from mout.web.de ([212.227.17.11]:52705)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <jonathan.brielmaier@HIDDEN>)
 id 1jJFhb-0000MT-8Q
 for guix-patches@HIDDEN; Tue, 31 Mar 2020 08:09:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1585656545;
 bh=Y2i7lOcl1i1KrRMo1vV5s7TTNpoVzYfqJ/k5AjcoDJc=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=kqCKKWRaVmY/pPek6azE9F7Ao2Eg3mdtrAJ16/HOe/WCjuJpMxZIEYewZgvOSm3wD
 Oxh4GfgAQyb7EXfJ9vrB9vxJ2hrypyWJtuBdsk2gjRxt0TbEa8MAL8V/FlMf7InKBK
 VbAvZA0MJvZCrXPO2Lb/CxTp8xh5/7mX5t4fUfSU=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from [192.168.178.119] ([5.146.193.216]) by smtp.web.de (mrweb101
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0MHGil-1jVZdS1nYx-00E1jR for
 <guix-patches@HIDDEN>; Tue, 31 Mar 2020 14:09:05 +0200
Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead
 of ext4 for root partition.
To: guix-patches@HIDDEN
References: <20200326083524.20275-1-mail@HIDDEN>
From: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
Message-ID: <c59e2a29-00fe-373e-a941-0652a1a75f95@HIDDEN>
Date: Tue, 31 Mar 2020 14:09:04 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.6.0
MIME-Version: 1.0
In-Reply-To: <20200326083524.20275-1-mail@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:z8n2IYN/SaQhi83icCjNPRybE1Q0p3TgMVGouqKXkWreDclKbQU
 aROOeEG3uQQRgLGPHFhbR76O16sfC36Df/Lia4S7KwvuFniArXo7YMSPTqCRFbE6r5OQ9xT
 wwHjk5ZBF3qQdnToL1PH0NarVzDEz8DPiMv1zQdUtmuWJ+/9secKebKW/ab1t+uwd073ja6
 WMXeeH7TpfLQLemXikOXw==
X-UI-Out-Filterresults: notjunk:1;V03:K0:CHXrxj7bAUI=:oTMDrwNH373+/lmOpWK/ik
 Cpbej97LQhJ+Vm+GH4a46r9B+0Dr5Fqiz/kjn/Qi2kKRbMOXHqpY4Iv6IuoToi568LGfDKRum
 sKxShDiq4jBXcFVxdZSUuP+gmyIEykMYDHWsq/fN+ztw4t896hkHm59Ckc/Ub7FK72WBQHhNx
 SCm3+fz8GZGlc/lkHY2llRYzHhVxspL3qhs38ObiAvNi2N3wY1bFcM0c27oEiO301TD16YPPq
 r2Ce7OwN5vJwV3K7F6Emg7earFNj83atdZ5WJ/uA4ZQJ4gX9rPDbW32a9gh5XwodLWPFZmXRq
 0w+WvKDm9zdBYrALfcjlKcK5XjPDS0UdCeEkfXbCE4GfN23NJkoBT0dcBF+4q+Qa/VXkBvFs7
 v44raEzu7u1fqsi5aJLUPcknX3g1DZLpm9c+NSxEKD/jp0mN4kXfmB2jXzp8/ewnsvppstTnw
 KjPge/2H9cOLcBmY7EE2brdRSlHavyLzduCcowQxKq95ePp9bqaZEaBMdJ0zdNONhLtgusDwW
 2T8OExne1jFjdXdSioLa5NBXrVdjjVNCqeZGri5cjPUetemNgT2L5pF3QxdYyEwD7uZ+clPfG
 YQ94G5jnjYilgP2mXfzT+ACZXJRxGcM6yd343gRbL+UJ/o4d9sQnHOOjBgF588kItDLpDoPQ2
 qMcIYSBF6SrDXKHGnF7SJ+xj9KE+r1UD/mlSqn883MZXMdck2M5mhVsot8P4w8ee4Zqqgl/J9
 XWjXJeDvSzTL+sWCxLI8m0U2ZZjjDnLbgEHnfpNU0wr84LTWx/YfgGskiPne0hRmhWd6EtgWd
 h2werZXsd05pvpVfshr81lvj0sYjAwhx7pGRASpNXMZfyOLn60JcZ3au/rBbyZhywsqL2l8n1
 +iBvCiblLgsfUO0ngjKHb8DCNTSMrC+bQ55F95btns90knHoZSeKiyD3RnUoLOErHVcyHXmJB
 qrBJlf68mjL7fv6yN3pyoOglY1ZHPOT5nzMWW9SW9yQy8iCZSekliUX0xVADrXqBnusYODS+H
 hRWdwesgl+1OGFGDMecrKRSHcX984LJz6P3x3pkpEu7qO8uYoK07ahIoK0hN51y2sL+zYPv0X
 pVtFQbjE4buQoFmFddn11dTB7gLmie2qyYX3inYgt/H9a8bjJC4A382cX8iMaQ0kqlXhowhMq
 g+NpgNz9OewF4B5QHJX715ghLjfC12ON0PK53OeYY8Izbm80XHy/E7vknm/V+6+ZRs3Muu9vu
 B8jD9k9mvFaYY5QgPwBYytRgQ6G4q9TRCTMCDxA==
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 212.227.17.11
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

On 26.03.20 09:35, Pierre Neidhardt wrote:
> * gnu/system/examples/desktop.tmpl: Adjust root file-system to use Btrfs.

I would oppose this change as I had too much troubles with Btrfs on my
openSUSE machines. I used a simple partition layout spanning the whole
disk. AFAIK this is not really recommended with btrfs. My laptop was
from time to time unusable until I reinstalled it with ext4...

Further do we need all this rollback stuff from btrfs if we have it
already in Guix?




Information forwarded to guix-patches@HIDDEN:
bug#40236; Package guix-patches. Full text available.

Message received at 40236 <at> debbugs.gnu.org:


Received: (at 40236) by debbugs.gnu.org; 31 Mar 2020 07:52:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 31 03:52:58 2020
Received: from localhost ([127.0.0.1]:35468 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jJBhi-00011Q-HY
	for submit <at> debbugs.gnu.org; Tue, 31 Mar 2020 03:52:58 -0400
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:39025)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jJBhg-000115-Ar
 for 40236 <at> debbugs.gnu.org; Tue, 31 Mar 2020 03:52:57 -0400
X-Originating-IP: 78.199.129.170
Received: from mimimi (moi44-1-78-199-129-170.fbx.proxad.net [78.199.129.170])
 (Authenticated sender: mail@HIDDEN)
 by relay8-d.mail.gandi.net (Postfix) with ESMTPSA id DF6361BF205;
 Tue, 31 Mar 2020 07:52:48 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead
 of ext4 for root partition.
In-Reply-To: <87h7y5z3x0.fsf@HIDDEN>
References: <20200326083524.20275-1-mail@HIDDEN>
 <87h7y5z3x0.fsf@HIDDEN>
Date: Tue, 31 Mar 2020 09:52:47 +0200
Message-ID: <878sjharlc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Thanks! -- Pierre Neidhardt https://ambrevar.xyz/ 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.201 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.4 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 40236
Cc: 40236 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Thanks! -- Pierre Neidhardt https://ambrevar.xyz/ 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.183.201 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.4 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Thanks!

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl6C9s8ACgkQm9z0l6S7
zH8ZKQgAkQxm9CVl1Wptq13GFSKUTubRjyefqA6B3iAmXQI+cUVK7Cs7T53QiNwq
Uo78s8PubUHbYXJ6x9zqMhl0d5bHut3TjemvbzVx/San7Xyl3WyIdraGbYj8Wp+A
iq199rRY1hBXbNhmtq2LiL6D6J3p7RNFMnNeNiLiV49Ps99wQsmgFSB0C7o3GF6C
fA2Vjtm9oWVM3PhoLaeMsP34MaHYfZ9o33AZ59AxlM5flJsjNuLpPf1FYzSBWkvj
gMyLLGO62TD7wo3qU+BqXggDZxSjLOkWQ24j28r2uwiac6XFYmiMbBGGdEvae4jH
eWDb8ocBe0GUgQ4vjdp4ZaNGQGcPvg==
=v9L+
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40236; Package guix-patches. Full text available.

Message received at 40236 <at> debbugs.gnu.org:


Received: (at 40236) by debbugs.gnu.org; 31 Mar 2020 01:52:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 30 21:52:53 2020
Received: from localhost ([127.0.0.1]:35314 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jJ65F-0001EQ-6v
	for submit <at> debbugs.gnu.org; Mon, 30 Mar 2020 21:52:53 -0400
Received: from mail-qt1-f195.google.com ([209.85.160.195]:35070)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1jJ65D-0001EA-3l
 for 40236 <at> debbugs.gnu.org; Mon, 30 Mar 2020 21:52:51 -0400
Received: by mail-qt1-f195.google.com with SMTP id e14so17088719qts.2
 for <40236 <at> debbugs.gnu.org>; Mon, 30 Mar 2020 18:52:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=Ylvt3JJSEha9vGP/GoPSAM72rQ1Zm1B7UPzAMGPI1Y4=;
 b=Ev6YF/yHp80chEBD2Zno6W32afN4G8MeIUfFjw7maWUcb/G2BZ4YFd2SGj954/fTB3
 pqsJy8GVDDdxavMAIQrevM+8IY1um7bqYwWxanpT1Fxg+wRV1cBOQeQUXCGffj5tbOqN
 iGU5c8NtVIT80141gUueSTjLDUWjq+Sn/Ec6c0oCeWBXnxOszWeSSIGzNbOtZ3OScoU1
 qGW02tRUt0EJ+dJF36KiIGKlFqg+gRndxytQCyS/MO187L6sQGjUkn4jEwaH6OR7o0ej
 lw6fSFlznmtfWj/LGXxKW+ZttMEE6cuSnNUudITQIrkp9chjm9LmdAb9xvYVX7z3iBZK
 pX0w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=Ylvt3JJSEha9vGP/GoPSAM72rQ1Zm1B7UPzAMGPI1Y4=;
 b=PZ/NkI+LPUCUXdxnOUcV0HJ27CA4g2KV09NeVOa4NBReFJOeXJSZs1dmvG07/ESyeu
 ZKrUcM8LmUcBHP07BNxIgxAGdLZhvn0rR7NVqnCSL5iYyhupMnQ/ehMjQo//QH+BaSEf
 Xyq2axVvidO/jFtDZ4/tjddvyh2AuZEHUZ4YyMo4D9snLR+qZ6eGQFFEyQZkYu4hZu3p
 pRsUazCzxiyKgewBmsoYX7TrIK+Gj6HS6HxnvUilFPgJIYv9bwqtnIplVWe4ZVhUxySL
 p94geWRWJF9rtM6MWmQbXvXvIL2ph6OnpkTmWLwmAQ8Iwkhv5wgu4ejtZ70QDYA0Lr75
 bBaw==
X-Gm-Message-State: ANhLgQ3+iT9eE0PisOjLdwJruDQvj5QAneF6jKAtPsfHWKmiNjpc/z8z
 Hd/9FrdvsTZLNPkMgrPliZr2mJ8wopU=
X-Google-Smtp-Source: ADFU+vsCXn0eASmSayVdzm4gfnC6YtM6ZEq+Go2N9XyJ254dF3/K2hQJ4k05xGddZXiubmUSJc2sTQ==
X-Received: by 2002:aed:2da7:: with SMTP id i36mr2821415qtd.84.1585619565388; 
 Mon, 30 Mar 2020 18:52:45 -0700 (PDT)
Received: from hurd (dsl-159-222.b2b2c.ca. [66.158.159.222])
 by smtp.gmail.com with ESMTPSA id f1sm10806405qkl.91.2020.03.30.18.52.44
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 30 Mar 2020 18:52:44 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead
 of ext4 for root partition.
References: <20200326083524.20275-1-mail@HIDDEN>
Date: Mon, 30 Mar 2020 21:52:43 -0400
In-Reply-To: <20200326083524.20275-1-mail@HIDDEN> (Pierre Neidhardt's
 message of "Thu, 26 Mar 2020 09:35:24 +0100")
Message-ID: <87h7y5z3x0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.4 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Hi! Pierre Neidhardt writes: > *
 gnu/system/examples/desktop.tmpl:
 Adjust root file-system to use Btrfs. > --- > gnu/system/examples/desktop.tmpl
 | 3 ++- > 1 file changed, 2 insertions(+),
 1 deletion(-) > > diff --git a/gnu/syste [...] 
 Content analysis details:   (1.4 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (maxim.cournoyer[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.4 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.160.195 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.160.195 listed in wl.mailspike.net]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 40236
Cc: 40236 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.4 (/)

Hi!

Pierre Neidhardt <mail@HIDDEN> writes:

> * gnu/system/examples/desktop.tmpl: Adjust root file-system to use Btrfs.
> ---
>  gnu/system/examples/desktop.tmpl | 3 ++-
>  1 file changed, 2 insertions(+), 1 deletion(-)
>
> diff --git a/gnu/system/examples/desktop.tmpl b/gnu/system/examples/desktop.tmpl
> index 3931bad60d..e61e8064cd 100644
> --- a/gnu/system/examples/desktop.tmpl
> +++ b/gnu/system/examples/desktop.tmpl
> @@ -34,7 +34,8 @@
>                   (list (file-system
>                           (device (file-system-label "my-root"))
>                           (mount-point "/")
> -                         (type "ext4")
> +                         (type "btrfs")
> +                         (options "subvol=rootfs,compress=zstd")
>                           (dependencies mapped-devices))
>                         (file-system
>                           (device (uuid "1234-ABCD" 'fat))

I think Btrfs with compression is a fine, modern default of a file
system, but we shall get a good samples of opinions (I expect a variety
of them :-)) and common agreement before pushing this change.

For those wondering about the benefits of having the root file system on
a subvolume (named 'rootfs' in the proposed configuration), the
following page [0] explains it as:

     [...] The above layout, which obviously serves as the system's
     "main" filesystem, places data directly within the top-level
     subvolume (namely everything for example /usr, that's not in a
     child subvolume) This makes changing the structure (for example to
     something more flat) more difficult, which is why it's generally
     suggested to place the actual data in a subvolume (that is not the
     top-level subvolume), in the above example, a better layout would
     be the following:

     toplevel                        (volume root directory, not mounted)
       \-- root                      (subvolume root directory, to be mounted at /)
           +-- home                  (subvolume root directory)
           +-- var                   (subvolume root directory)
               +-- www               (subvolume root directory)
               +-- lib               (directory)
                    \-- postgresql   (subvolume root directory)

In short, it allows exposing just the subvolumes which should be
visible, instead of everything.


I've marked this blocked by 37305, which includes GRUB support for
booting from a subvolume as well as documentation about Btrfs usage in
Guix.

[0]  https://btrfs.wiki.kernel.org/index.php/SysadminGuide#Layout




Information forwarded to guix-patches@HIDDEN:
bug#40236; Package guix-patches. Full text available.
Added blocking bug(s) 37305 Request was from Maxim Cournoyer <maxim.cournoyer@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Mar 2020 08:35:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 26 04:35:41 2020
Received: from localhost ([127.0.0.1]:58085 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jHNzI-0001uX-RP
	for submit <at> debbugs.gnu.org; Thu, 26 Mar 2020 04:35:41 -0400
Received: from lists.gnu.org ([209.51.188.17]:47437)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jHNzH-0001uP-EF
 for submit <at> debbugs.gnu.org; Thu, 26 Mar 2020 04:35:40 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:38462)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <mail@HIDDEN>) id 1jHNzG-0008B4-DW
 for guix-patches@HIDDEN; Thu, 26 Mar 2020 04:35:39 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_LOW
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1jHNzF-0005pj-1L
 for guix-patches@HIDDEN; Thu, 26 Mar 2020 04:35:37 -0400
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:58727)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mail@HIDDEN>) id 1jHNzE-0005oe-S9
 for guix-patches@HIDDEN; Thu, 26 Mar 2020 04:35:36 -0400
X-Originating-IP: 78.199.129.170
Received: from localhost.localdomain (moi44-1-78-199-129-170.fbx.proxad.net
 [78.199.129.170]) (Authenticated sender: mail@HIDDEN)
 by relay5-d.mail.gandi.net (Postfix) with ESMTPSA id D76751C0009
 for <guix-patches@HIDDEN>; Thu, 26 Mar 2020 08:35:33 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] doc: Suggest Btrfs with compression instead of ext4 for root
 partition.
Date: Thu, 26 Mar 2020 09:35:24 +0100
Message-Id: <20200326083524.20275-1-mail@HIDDEN>
X-Mailer: git-send-email 2.25.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 217.70.183.197
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

* gnu/system/examples/desktop.tmpl: Adjust root file-system to use Btrfs.
---
 gnu/system/examples/desktop.tmpl | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gnu/system/examples/desktop.tmpl b/gnu/system/examples/desktop.tmpl
index 3931bad60d..e61e8064cd 100644
--- a/gnu/system/examples/desktop.tmpl
+++ b/gnu/system/examples/desktop.tmpl
@@ -34,7 +34,8 @@
                  (list (file-system
                          (device (file-system-label "my-root"))
                          (mount-point "/")
-                         (type "ext4")
+                         (type "btrfs")
+                         (options "subvol=rootfs,compress=zstd")
                          (dependencies mapped-devices))
                        (file-system
                          (device (uuid "1234-ABCD" 'fat))
-- 
2.25.1





Acknowledgement sent to Pierre Neidhardt <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#40236; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 4 May 2020 15:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.